
// 'stacks' is the Stacks global object.
// All of the other Stacks related Javascript will 
// be attatched to it.
var stacks = {};


// this call to jQuery gives us access to the globaal
// jQuery object. 
// 'noConflict' removes the '$' variable.
// 'true' removes the 'jQuery' variable.
// removing these globals reduces conflicts with other 
// jQuery versions that might be running on this page.
stacks.jQuery = jQuery.noConflict(true);

// Javascript for com_joeworkman_stacks_foundation_styles
// ---------------------------------------------------------------------

// Each stack has its own object with its own namespace.  The name of
// that object is the same as the stack's id.
stacks.com_joeworkman_stacks_foundation_styles = {};

// A closure is defined and assigned to the stack's object.  The object
// is also passed in as 'stack' which gives you a shorthand for referring
// to this object from elsewhere.
stacks.com_joeworkman_stacks_foundation_styles = (function(stack) {

	// When jQuery is used it will be available as $ and jQuery but only
	// inside the closure.
	var jQuery = stacks.jQuery;
	var $ = jQuery;
	
 jQuery.fn.exists=function(){return jQuery(this).length>0;}
jQuery.debug=function(msg,obj){if(window.debug===true&&window.console&&console.log){console.log('[jwstacks] '+msg);if(obj)console.log(obj);}};jQuery.isMobile=function(){return"ontouchstart"in window||window.DocumentTouch&&document instanceof DocumentTouch;};var triggerWindowResize=function(){$(window).trigger('resize')};if(typeof(orientationEvent)==undefined){var orientationEvent=0;}
$(window).bind(orientationEvent,triggerWindowResize).load(triggerWindowResize);jQuery.clearBrowserCache=function(){$(window).bind("pageshow",function(event){if(event.originalEvent.persisted){window.location.reload()}});};jQuery.preloadImages=function(){for(var i=0;i<arguments.length;i++){$("<img />").attr("src",arguments[i]);}};
!function(a,b){"undefined"!=typeof module?module.exports=b():"function"==typeof define&&define.amd?define(a,b):this[a]=b()}("vein",function(){var a=function(){},b=function(a){a=a||{};for(var b=1;b<arguments.length;b++)if(arguments[b])for(var c in arguments[b])arguments[b].hasOwnProperty(c)&&(a[c]=arguments[b][c]);return a},c=function(a,b,c){var d,e,f=[],g=b[document.all?"rules":"cssRules"],h=a.replace(/\s/g,"");for(d=0,e=g.length;e>d;d++)(g[d].selectorText===a||4===g[d].type&&g[d].cssText.replace(/\s/g,"").substring(0,h.length)==h)&&(null===c?b.deleteRule(d):f.push(g[d]));return f},d=function(a){cssArray=[];for(property in a)a.hasOwnProperty(property)&&cssArray.push(property+": "+a[property]+";");return cssText=cssArray.join(""),cssText};a.getStylesheet=function(){var a,b=this;if(!b.element)for(b.element=document.createElement("style"),b.element.setAttribute("type","text/css"),b.element.setAttribute("id","vein"),document.getElementsByTagName("head")[0].appendChild(b.element),a=document.styleSheets.length-1;a>=0;a--)if(document.styleSheets[a].ownerNode===b.element){b.stylesheet=document.styleSheets[a];break}return b.stylesheet};var e=function(a){return a[document.all?"rules":"cssRules"]},f=function(a,b,c){var d=e(c);if(c.insertRule)try{c.insertRule(a+"{"+b+"}",d.length)}catch(f){"IndexSizeError"===f.message&&c.insertRule(a+"{"+b+"}",0)}else c.addRule(a,b,d.length)};return a.inject=function(a,g,h){h=b({},h);{var i,j,k,l,m,n,o,p,q,r,s=this,t=h.stylesheet||s.getStylesheet();e(t)}for("string"==typeof a&&(a=[a]),i=0,j=a.length;j>i;i++)if("object"==typeof a[i]&&t.insertRule)for(k in a[i])if(l=c(k,t,g),0===l.length)for(m=d(g),q=0,r=a[i][k].length;r>q;q++)f(k,a[i][k][q]+"{"+m+"}",t);else for(o=0,p=l.length;p>o;o++)s.inject(a[i][k],g,{stylesheet:l[o]});else{if(l=c(a[i],t,g),null===g)return;if(0===l.length)m=d(g),f(a[i],m,t);else for(o=0,p=l.length;p>o;o++)for(n in g)g.hasOwnProperty(n)&&l[o].style.setProperty(n,g[n],"")}return s},a}),!function(a,b){var c=function(a){for(var c=[];a&&a.tagName!==b;a=a.parentNode){if(a.className){var d=a.className.split(" ");for(var e in d)d.hasOwnProperty(e)&&d[e]&&(c.unshift(d[e]),c.unshift("."))}a.id&&!/\s/.test(a.id)&&(c.unshift(a.id),c.unshift("#")),c.unshift(a.tagName),c.unshift(" > ")}return c.slice(1).join("")};a.fn.getSelector=function(b){return!0===b?c(this[0]):a.map(this,function(a){return c(a)})}}(jQuery),function(a){"use strict";var b=function(a){var b=a.replace(/\s/g,"").match(/^rgb\((\d+)\,(\d+)\,(\d+)\)/);if(b)return{r:parseInt(b[1]),g:parseInt(b[2]),b:parseInt(b[3])};var c=/^#?([a-f\d])([a-f\d])([a-f\d])$/i;a=a.replace(c,function(a,b,c,d){return b+b+c+c+d+d});var d=/^#?([a-f\d]{2})([a-f\d]{2})([a-f\d]{2})$/i.exec(a);return d?{r:parseInt(d[1],16),g:parseInt(d[2],16),b:parseInt(d[3],16)}:null},c=function(a,b,c){return c="undefined"!=typeof c?c:0,b="undefined"!=typeof b?b:1,b=b>1?b/100:b,"rgba("+(a.r+c)+","+(a.g+c)+","+(a.b+c)+","+b+")"},d=function(a,b,c,d){var e=a.selector,f={};return f[c]=d,e||(e=b.getSelector(),a.hover&&(e+=":hover")),vein.inject(e,f)},e=function(a,b){for(var c=[],d=0;d<a.length;d++){var e=b[d]===parseInt(b[d],10)?a[d]+" "+b[d]+"%":a[d];c.push(e)}return c.join(",")},f=function(a,b){var f,g,h,i=[],j=0;if(0===a.stops.length)for(j=0;j<a.colors.length;j++)f=a.offsets[j]||0,g=a.opacity[j]||a.opacity[a.opacity.length-1],i.push(c(h[j],g,f));else for(j=0;j<a.stops.length;j++)f=a.offsets[j]||0,g=a.opacity[j]||a.opacity[a.opacity.length-1],h=a.colors[j]||a.colors[a.colors.length-1],i.push(c(h,g,f));var k=e(i,a.stops),l="linear-gradient(to "+a.linear+","+k+")";"radial-circle"===a.gradient?l="radial-gradient(circle at "+a.radial.x+"% "+a.radial.y+"%,"+k+")":"radial-ellipse"===a.gradient&&(l="radial-gradient(ellipse at "+a.radial.x+"% "+a.radial.y+"%,"+k+")"),d(a,b,"background",l)};a.glass=function(c){for(var d=a.extend(!0,{},a.fn.glass.defaults,c||{}),e=0;e<d.colors.length;e++)d.colors[e]=b(d.colors[e]);if(d.selector){var f=a.fn.glass[d.preset];if("function"==typeof f)return f(d,a(d.selector))}return!1},a.fn.glass=function(c){for(var d=a.extend(!0,{},a.fn.glass.defaults,c||{}),e=0;e<d.colors.length;e++)d.colors[e]=b(d.colors[e]);return this.each(function(){var b=a(this),c=a.fn.glass[d.preset];"function"==typeof c&&c(d,b)})},a.fn.glass.border=function(a,b){var e=c(a.colors[0],a.opacity[0]);d(a,b,"border-color",e)},a.fn.glass.solid=function(a,b){var e=c(a.colors[0],a.opacity[0]);d(a,b,"background",e)},a.fn.glass.custom=function(a,b){return f(a,b)},a.fn.glass.faded=function(a,b){return 0===a.stops.length&&(a.stops=[0,95]),2!==a.opacity.length&&(a.opacity=[100,80]),a.colors=a.colors.slice(0,1),f(a,b)},a.fn.glass.twocolor=function(a,b){return 0===a.stops.length&&(a.stops=[20,100]),a.colors=a.colors.slice(0,2),a.opacity=a.opacity.slice(0,1),f(a,b)},a.fn.glass.twotone=function(a,b){return 0===a.stops.length&&(a.stops=[0,45,50,50,100]),0===a.offsets.length&&(a.offsets=[20,10,5,0,-10]),a.offsets[3]=0,a.colors=a.colors.slice(0,1),a.opacity=a.opacity.slice(0,1),f(a,b)},a.fn.glass.onecolor=function(a,b){return 0===a.stops.length&&(a.stops=[0,85]),0===a.offsets.length&&(a.offsets=[40,0]),a.colors=a.colors.slice(0,1),a.opacity=a.opacity.slice(0,1),f(a,b)},a.fn.glass.defaults={preset:"solid",gradient:"linear",linear:"bottom",radial:{x:50,y:50},colors:["#ffffff","#777777"],offsets:[],stops:[],opacity:[100,80],selector:!1,hover:!1}}(jQuery);

	return stack;
})(stacks.com_joeworkman_stacks_foundation_styles);


// Javascript for com_bigwhiteduck_stacks_scrollmate
// ---------------------------------------------------------------------

// Each stack has its own object with its own namespace.  The name of
// that object is the same as the stack's id.
stacks.com_bigwhiteduck_stacks_scrollmate = {};

// A closure is defined and assigned to the stack's object.  The object
// is also passed in as 'stack' which gives you a shorthand for referring
// to this object from elsewhere.
stacks.com_bigwhiteduck_stacks_scrollmate = (function(stack) {

	// When jQuery is used it will be available as $ and jQuery but only
	// inside the closure.
	var jQuery = stacks.jQuery;
	var $ = jQuery;
	

if(!Date.now)
Date.now=function(){return new Date().getTime();};(function(){'use strict';var vendors=['webkit','moz'];for(var i=0;i<vendors.length&&!window.requestAnimationFrame;++i){var vp=vendors[i];window.requestAnimationFrame=window[vp+'RequestAnimationFrame'];window.cancelAnimationFrame=(window[vp+'CancelAnimationFrame']||window[vp+'CancelRequestAnimationFrame']);}
if(/iP(ad|hone|od).*OS 6/.test(window.navigator.userAgent)||!window.requestAnimationFrame||!window.cancelAnimationFrame){var lastTime=0;window.requestAnimationFrame=function(callback){var now=Date.now();var nextTime=Math.max(lastTime+16,now);return setTimeout(function(){callback(lastTime=nextTime);},nextTime-now);};window.cancelAnimationFrame=clearTimeout;}}());var scrollme=(function($)
{var _this={};var $document=$(document);var $window=$(window);_this.body_height=0;_this.viewport_height=0;_this.viewport_top=0;_this.viewport_bottom=0;_this.viewport_top_previous=-1;_this.elements=[];_this.elements_in_view=[];_this.onetime=[];_this.done_once=[];_this.property_defaults={'opacity':1,'translatex':0,'translatey':0,'translatez':0,'rotatex':0,'rotatey':0,'rotatez':0,'scale':1,'scalex':1,'scaley':1,'scalez':1,'onetime':false};_this.scrollme_selector='.scrollme';_this.animateme_selector='.animateme';_this.update_interval=10;_this.easing_functions={'linear':function(x)
{return x;},'easeout':function(x)
{return x*x*x;},'easein':function(x)
{x=1-x;return 1-(x*x*x);},'easeinout':function(x)
{if(x<0.5)
{return(4*x*x*x);}
else
{x=1-x;return 1-(4*x*x*x);}}};_this.init_events=['ready','page:load','page:change'];_this.init_if=function(){return true;}
_this.init=function()
{if(!_this.init_if())return false;_this.init_elements();_this.find_only_once_elements();_this.on_resize();$window.on('resize orientationchange',function(){_this.on_resize();});$window.load(function(){setTimeout(function(){_this.on_resize();},100)});setInterval(_this.update,_this.update_interval);return true;}
_this.init_elements=function()
{$(_this.scrollme_selector).each(function()
{var element={};element.element=$(this);var effects=[];$(this).find(_this.animateme_selector).addBack(_this.animateme_selector).each(function()
{var effect={};effect.element=$(this);effect.when=effect.element.data('when');effect.from=effect.element.data('from');effect.to=effect.element.data('to');effect.onetime=effect.element.data('onetime');if(effect.element.is('[data-crop]'))
{effect.crop=effect.element.data('crop');}
else
{effect.crop=true;}
if(effect.element.is('[data-easing]'))
{effect.easing=_this.easing_functions[effect.element.data('easing')]}
else
{effect.easing=_this.easing_functions['easeout'];}
var properties={};if(effect.element.is('[data-opacity]'))properties.opacity=effect.element.data('opacity');if(effect.element.is('[data-translatex]'))properties.translatex=effect.element.data('translatex');if(effect.element.is('[data-translatey]'))properties.translatey=effect.element.data('translatey');if(effect.element.is('[data-translatez]'))properties.translatez=effect.element.data('translatez');if(effect.element.is('[data-rotatex]'))properties.rotatex=effect.element.data('rotatex');if(effect.element.is('[data-rotatey]'))properties.rotatey=effect.element.data('rotatey');if(effect.element.is('[data-rotatez]'))properties.rotatez=effect.element.data('rotatez');if(effect.element.is('[data-scale]'))properties.scale=effect.element.data('scale');if(effect.element.is('[data-scalex]'))properties.scalex=effect.element.data('scalex');if(effect.element.is('[data-scaley]'))properties.scaley=effect.element.data('scaley');if(effect.element.is('[data-scalez]'))properties.scalez=effect.element.data('scalez');effect.properties=properties;effects.push(effect);});element.effects=effects;_this.elements.push(element);});}
_this.update=function()
{window.requestAnimationFrame(function()
{_this.update_viewport_position();if(_this.viewport_top_previous!=_this.viewport_top)
{_this.update_elements_in_view();_this.animate();}
_this.viewport_top_previous=_this.viewport_top;});}
_this.animate=function()
{var elements_in_view_length=_this.elements_in_view.length;for(var i=0;i<elements_in_view_length;i++)
{var element=_this.elements_in_view[i];var effects_length=element.effects.length;for(var e=0;e<effects_length;e++)
{var effect=element.effects[e];switch(effect.when)
{case'view':case'span':var start=element.top-_this.viewport_height;var end=element.bottom;break;case'exit':var start=element.bottom-_this.viewport_height;var end=element.bottom;break;default:var start=element.top-_this.viewport_height;var end=element.top;break;}
if(effect.crop)
{if(start<0)start=0;if(end>(_this.body_height-_this.viewport_height))end=_this.body_height-_this.viewport_height;}
var scroll=(_this.viewport_top-start)/(end-start);var from=effect['from'];var to=effect['to'];var length=to-from;var scroll_relative=(scroll-from)/length;var scroll_eased=effect.easing(scroll_relative);var opacity=_this.animate_value(scroll,scroll_eased,from,to,effect,'opacity');var translatey=_this.animate_value(scroll,scroll_eased,from,to,effect,'translatey');var translatex=_this.animate_value(scroll,scroll_eased,from,to,effect,'translatex');var translatez=_this.animate_value(scroll,scroll_eased,from,to,effect,'translatez');var rotatex=_this.animate_value(scroll,scroll_eased,from,to,effect,'rotatex');var rotatey=_this.animate_value(scroll,scroll_eased,from,to,effect,'rotatey');var rotatez=_this.animate_value(scroll,scroll_eased,from,to,effect,'rotatez');var scale=_this.animate_value(scroll,scroll_eased,from,to,effect,'scale');var scalex=_this.animate_value(scroll,scroll_eased,from,to,effect,'scalex');var scaley=_this.animate_value(scroll,scroll_eased,from,to,effect,'scaley');var scalez=_this.animate_value(scroll,scroll_eased,from,to,effect,'scalez');if('scale'in effect.properties)
{scalex=scale;scaley=scale;scalez=scale;}
effect.element.css({'opacity':opacity,'transform':'translate3d( '+translatex+'px , '+translatey+'px , '+translatez+'px ) rotateX( '+rotatex+'deg ) rotateY( '+rotatey+'deg ) rotateZ( '+rotatez+'deg ) scale3d( '+scalex+' , '+scaley+' , '+scalez+' )'});}}}
_this.animate_value=function(scroll,scroll_eased,from,to,effect,property)
{var value_default=_this.property_defaults[property];if(!(property in effect.properties))return value_default;var value_target=effect.properties[property];var forwards=(to>from)?true:false;if(scroll<from&&forwards){return value_default;}
if(scroll>to&&forwards){return value_target;}
if(scroll>from&&!forwards){return value_default;}
if(scroll<to&&!forwards){return value_target;}
var new_value=value_default+(scroll_eased*(value_target-value_default));switch(property)
{case'opacity':new_value=new_value.toFixed(2);break;case'translatex':new_value=new_value.toFixed(0);break;case'translatey':new_value=new_value.toFixed(0);break;case'translatez':new_value=new_value.toFixed(0);break;case'rotatex':new_value=new_value.toFixed(1);break;case'rotatey':new_value=new_value.toFixed(1);break;case'rotatez':new_value=new_value.toFixed(1);break;case'scale':new_value=new_value.toFixed(3);break;default:break;}
return new_value;}
_this.update_viewport_position=function()
{_this.viewport_top=$window.scrollTop();_this.viewport_bottom=_this.viewport_top+_this.viewport_height;}
_this.update_elements_in_view=function()
{_this.elements_in_view=[];var elements_length=_this.elements.length;for(var i=0;i<elements_length;i++)
{if((_this.elements[i].bottom<_this.viewport_top)&&(_this.onetime[i]==true))
{_this.done_once[i]=true;}
if(_this.done_once[i]!=true){if((_this.elements[i].top<_this.viewport_bottom)&&(_this.elements[i].bottom>_this.viewport_top))
{_this.elements_in_view.push(_this.elements[i]);}}}}
_this.on_resize=function()
{_this.update_viewport();_this.update_element_heights();_this.update_viewport_position();_this.update_elements_in_view();_this.animate();}
_this.update_viewport=function()
{_this.body_height=$document.height();_this.viewport_height=$window.height();}
_this.update_element_heights=function()
{var elements_length=_this.elements.length;for(var i=0;i<elements_length;i++)
{var element_height=_this.elements[i].element.outerHeight();var position=_this.elements[i].element.offset();_this.elements[i].height=element_height;_this.elements[i].top=position.top;_this.elements[i].bottom=position.top+element_height;}}
_this.find_only_once_elements=function()
{var elements_length=_this.elements.length;for(var i=0;i<elements_length;i++)
{_this.onetime[i]=_this.elements[i].element.hasClass('onceOnly')}}
$document.on(_this.init_events.join(' '),function(){_this.init();});return _this;})(jQuery);

	return stack;
})(stacks.com_bigwhiteduck_stacks_scrollmate);


// Javascript for com_joeworkman_stacks_foundation_topbar
// ---------------------------------------------------------------------

// Each stack has its own object with its own namespace.  The name of
// that object is the same as the stack's id.
stacks.com_joeworkman_stacks_foundation_topbar = {};

// A closure is defined and assigned to the stack's object.  The object
// is also passed in as 'stack' which gives you a shorthand for referring
// to this object from elsewhere.
stacks.com_joeworkman_stacks_foundation_topbar = (function(stack) {

	// When jQuery is used it will be available as $ and jQuery but only
	// inside the closure.
	var jQuery = stacks.jQuery;
	var $ = jQuery;
	
;(function($){"use strict";var version='20140730.1100',debug=function(msg,obj){if(window.debug===true&&window.console&&console.log){console.log('[rwflexnav] '+msg);if(obj)console.log(obj);}};$.fn.divideNav=function(options){var opts=$.extend(true,{},$.fn.rwflexnav.defaults,options||{});var container=$(this);$('> li.'+opts.className.divider,container).remove();var items=$('> li',container);$('<li>').addClass(opts.className.divider).insertBefore(items);$('<li>').addClass(opts.className.divider).insertAfter(items.last());return $(container);};$.fn.hackRWFlexNav=function(options){var opts=$.extend(true,{},$.fn.rwflexnav.defaults,options||{});var container=$(this);$('> ul.'+opts.className.menu,container).first().removeClass(opts.className.dropdown).find('ul').removeClass(opts.className.menu);$('> ul.'+opts.className.menu,container).find('li').each(function(){if($(this).find('ul').length===0)$(this).removeClass(opts.className.hasDropdown);});return $(container);};$.fn.processRWFlexNav=function(options){var opts=$.extend(true,{},$.fn.rwflexnav.defaults,options||{});var container=$(this);$('li a header',container).parent().attr('href','javascript:void(0)').parent().addClass(opts.className.heading);$('li a label',container).unwrap();$('li a button',container).each(function(){var classes=$(this).attr('class');var text=$(this).text();$(this).parent().addClass(opts.className.button).addClass(classes).html(text).parent().addClass(opts.className.hasButton);});$('li a hr',container).unwrap().parent().addClass(opts.className.divider).html('');return $(container);};$.fn.rwflexnav=function(options){var opts=$.extend(true,{},$.fn.rwflexnav.defaults,options||{});return this.each(function(){if($('> ul.'+opts.className.menu,this).length===0){console.error('RWFlexNav Aborting! Unable to locate menu with class "'+opts.className.menu+'"');return false;}
var method=$.fn.rwflexnav[opts.scope],container=typeof method==='function'?method(opts,this):false;if(opts.hackNav)container.hackRWFlexNav(opts);container.processRWFlexNav(opts);if(opts.divide)$('> ul.'+opts.className.menu,container).divideNav(opts);debug('Processing Complete',container);return $(container);});};$.fn.rwflexnav.all=function(opts,container){return $(container);};$.fn.rwflexnav.top=function(opts,container){$('> ul.'+opts.className.menu,container).find('ul').remove();return $(container);};$.fn.rwflexnav.subnav=function(opts,container){var menu=$('> ul.'+opts.className.menu,container).first(),submenu=$('> ul.'+opts.className.menu+'> li:nth-child('+opts.subNavIndex+') > ul',container),classes=menu.attr('class');debug('Scope SubNav',submenu);if(submenu.length===0){console.error('RWFlexNav Error! No subnav found at index '+opts.subNavIndex);}
else{submenu.addClass(opts.className.menu).addClass(classes).insertAfter(menu);submenu.find('>li.js-generated').remove();menu.remove();}
return $(container);};$.fn.rwflexnav.active=function(opts,container){var menu=$('> ul.'+opts.className.menu,container).first(),submenu=$('> ul.'+opts.className.menu+' > li.'+opts.className.active+' > ul',container),classes=menu.attr('class');debug('Scope Active',submenu);if(submenu.length===0){console.error('RWFlexNav Error! No active subnav found with class "'+opts.className.active+'"');}
else{submenu.addClass(opts.className.menu).addClass(classes).insertAfter(menu);submenu.find('>li.js-generated').remove();menu.remove();}
return $(container);};$.fn.rwflexnav.defaults={scope:'all',hackNav:true,divide:false,subNavIndex:0,className:{menu:'menu',heading:'heading',divider:'divider',active:'active',dropdown:'dropdown',button:'button',hasButton:'has-form',hasDropdown:'has-dropdown'}};})(jQuery);

	return stack;
})(stacks.com_joeworkman_stacks_foundation_topbar);


// Javascript for com_bigwhiteduck_stacks_FoundationHeaderPlus
// ---------------------------------------------------------------------

// Each stack has its own object with its own namespace.  The name of
// that object is the same as the stack's id.
stacks.com_bigwhiteduck_stacks_FoundationHeaderPlus = {};

// A closure is defined and assigned to the stack's object.  The object
// is also passed in as 'stack' which gives you a shorthand for referring
// to this object from elsewhere.
stacks.com_bigwhiteduck_stacks_FoundationHeaderPlus = (function(stack) {

	// When jQuery is used it will be available as $ and jQuery but only
	// inside the closure.
	var jQuery = stacks.jQuery;
	var $ = jQuery;
	

(function($){"use strict";function isInEffect(effect){return/In/.test(effect)||$.inArray(effect,$.fn.textillate.defaults.inEffects)>=0;};function isOutEffect(effect){return/Out/.test(effect)||$.inArray(effect,$.fn.textillate.defaults.outEffects)>=0;};function stringToBoolean(str){if(str!=="true"&&str!=="false")return str;return(str==="true");};function getData(node){var attrs=node.attributes||[],data={};if(!attrs.length)return data;$.each(attrs,function(i,attr){var nodeName=attr.nodeName.replace(/delayscale/,'delayScale');if(/^data-in-*/.test(nodeName)){data.in=data.in||{};data.in[nodeName.replace(/data-in-/,'')]=stringToBoolean(attr.nodeValue);}else if(/^data-out-*/.test(nodeName)){data.out=data.out||{};data.out[nodeName.replace(/data-out-/,'')]=stringToBoolean(attr.nodeValue);}else if(/^data-*/.test(nodeName)){data[nodeName.replace(/data-/,'')]=stringToBoolean(attr.nodeValue);}})
return data;}
function shuffle(o){for(var j,x,i=o.length;i;j=parseInt(Math.random()*i),x=o[--i],o[i]=o[j],o[j]=x);return o;}
function animate($t,effect,cb){$t.addClass('animated '+effect).css('visibility','visible').show();$t.one('animationend webkitAnimationEnd oAnimationEnd',function(){$t.removeClass('animated '+effect);cb&&cb();});}
function animateTokens($tokens,options,cb){var that=this,count=$tokens.length;if(!count){cb&&cb();return;}
if(options.shuffle)$tokens=shuffle($tokens);if(options.reverse)$tokens=$tokens.toArray().reverse();$.each($tokens,function(i,t){var $token=$(t);function complete(){if(isInEffect(options.effect)){$token.css('visibility','visible');}else if(isOutEffect(options.effect)){$token.css('visibility','hidden');}
count-=1;if(!count&&cb)cb();}
var delay=options.sync?options.delay:options.delay*i*options.delayScale;$token.text()?setTimeout(function(){animate($token,options.effect,complete)},delay):complete();});};var Textillate=function(element,options){var base=this,$element=$(element);base.init=function(){base.$texts=$element.find(options.selector);if(!base.$texts.length){base.$texts=$('<ul class="texts"><li>'+$element.html()+'</li></ul>');$element.html(base.$texts);}
base.$texts.hide();base.$current=$('<span>').html(base.$texts.find(':first-child').html()).prependTo($element);if(isInEffect(options.in.effect)){base.$current.css('visibility','hidden');}else if(isOutEffect(options.out.effect)){base.$current.css('visibility','visible');}
base.setOptions(options);base.timeoutRun=null;setTimeout(function(){base.options.autoStart&&base.start();},base.options.initialDelay)};base.setOptions=function(options){base.options=options;};base.triggerEvent=function(name){var e=$.Event(name+'.tlt');$element.trigger(e,base);return e;};base.in=function(index,cb){index=index||0;var $elem=base.$texts.find(':nth-child('+((index||0)+1)+')'),options=$.extend(true,{},base.options,$elem.length?getData($elem[0]):{}),$tokens;$elem.addClass('current');base.triggerEvent('inAnimationBegin');base.$current.html($elem.html()).lettering('words');if(base.options.type=="char"){base.$current.find('[class^="word"]').css({'display':'inline-block','-webkit-transform':'translate3d(0,0,0)','-moz-transform':'translate3d(0,0,0)','-o-transform':'translate3d(0,0,0)','transform':'translate3d(0,0,0)'}).each(function(){$(this).lettering()});}
$tokens=base.$current.find('[class^="'+base.options.type+'"]').css('display','inline-block');if(isInEffect(options.in.effect)){$tokens.css('visibility','hidden');}else if(isOutEffect(options.in.effect)){$tokens.css('visibility','visible');}
base.currentIndex=index;animateTokens($tokens,options.in,function(){base.triggerEvent('inAnimationEnd');if(options.in.callback)options.in.callback();if(cb)cb(base);});};base.out=function(cb){var $elem=base.$texts.find(':nth-child('+((base.currentIndex||0)+1)+')'),$tokens=base.$current.find('[class^="'+base.options.type+'"]'),options=$.extend(true,{},base.options,$elem.length?getData($elem[0]):{})
base.triggerEvent('outAnimationBegin');animateTokens($tokens,options.out,function(){$elem.removeClass('current');base.triggerEvent('outAnimationEnd');if(options.out.callback)options.out.callback();if(cb)cb(base);});};base.start=function(index){setTimeout(function(){base.triggerEvent('start');(function run(index){base.in(index,function(){var length=base.$texts.children().length;index+=1;if(!base.options.loop&&index>=length){if(base.options.callback)base.options.callback();base.triggerEvent('end');}else{index=index%length;base.timeoutRun=setTimeout(function(){base.out(function(){run(index)});},base.options.minDisplayTime);}});}(index||0));},base.options.initialDelay);};base.stop=function(){if(base.timeoutRun){clearInterval(base.timeoutRun);base.timeoutRun=null;}};base.init();}
$.fn.textillate=function(settings,args){return this.each(function(){var $this=$(this),data=$this.data('textillate'),options=$.extend(true,{},$.fn.textillate.defaults,getData(this),typeof settings=='object'&&settings);if(!data){$this.data('textillate',(data=new Textillate(this,options)));}else if(typeof settings=='string'){data[settings].apply(data,[].concat(args));}else{data.setOptions.call(data,options);}})};$.fn.textillate.defaults={selector:'.texts',loop:false,minDisplayTime:2000,initialDelay:0,in:{effect:'fadeInLeftBig',delayScale:1.5,delay:50,sync:false,reverse:false,shuffle:false,callback:function(){}},out:{effect:'hinge',delayScale:1.5,delay:50,sync:false,reverse:false,shuffle:false,callback:function(){}},autoStart:true,inEffects:[],outEffects:['hinge'],callback:function(){},type:'char'};}(jQuery));

(function($){function injector(t,splitter,klass,after){var text=t.text(),a=text.split(splitter),inject='';if(a.length){$(a).each(function(i,item){inject+='<span class="'+klass+(i+1)+'" aria-hidden="true">'+item+'</span>'+after;});t.attr('aria-label',text).empty().append(inject)}}
var methods={init:function(){return this.each(function(){injector($(this),'','char','');});},words:function(){return this.each(function(){injector($(this),' ','word',' ');});},lines:function(){return this.each(function(){var r="eefec303079ad17405c889e092e105b0";injector($(this).children("br").replaceWith(r).end(),r,'line','');});}};$.fn.lettering=function(method){if(method&&methods[method]){return methods[method].apply(this,[].slice.call(arguments,1));}else if(method==='letters'||!method){return methods.init.apply(this,[].slice.call(arguments,0));}
$.error('Method '+method+' does not exist on jQuery.lettering');return this;};})(jQuery);

(function($){$.fn.fitText=function(kompressor,options){var compressor=kompressor||1,settings=$.extend({'minFontSize':Number.NEGATIVE_INFINITY,'maxFontSize':Number.POSITIVE_INFINITY},options);return this.each(function(){var $this=$(this);var resizer=function(){$this.css('font-size',Math.max(Math.min($this.width()/(compressor*10),parseFloat(settings.maxFontSize)),parseFloat(settings.minFontSize)));};resizer();$(window).on('resize.fittext orientationchange.fittext',resizer);});};})(jQuery);

(function($){$.fn.onImpression=function(options){var settings=$.extend({offset:0,callback:null,attribute:"",alwayscallback:false,scrollable:""},options)
var $window=$(window),$scrollable=$(settings.scrollable),onImpressionElements=this,loaded;this.one("onImpression",function(){if(typeof settings.callback==="function")settings.callback.call(this,this.getAttribute(settings.attribute));});this.on("alwaysOnImpression",function(){if(typeof settings.callback==="function")settings.callback.call(this,this.getAttribute(settings.attribute));});function onImpression(){var inview=onImpressionElements.filter(function(){var $e=$(this);if($e.is(":hidden"))return;var wt=$window.scrollTop(),wb=wt+$window.height(),et=$e.offset().top,eb=et+$e.height();var inScrollable=false;if($scrollable.length){var scrollTop=$scrollable.scrollTop(),scrollBottom=scrollTop+$scrollable.height();inScrollable=(eb>=scrollTop-settings.offset&&et<=scrollBottom+settings.offset);}
return(eb>=wt-settings.offset&&et<=wb+settings.offset)||inScrollable;});if(settings.alwayscallback){loaded=inview.trigger("alwaysOnImpression");}
else{loaded=inview.trigger("onImpression");onImpressionElements=onImpressionElements.not(loaded);}}
if(typeof settings.callback==="function"){if($scrollable.length){$scrollable.on("scroll.onImpression resize.onImpression lookup.onImpression",onImpression);}else{$window.on("scroll.onImpression resize.onImpression lookup.onImpression",onImpression);}
onImpression();}
return this;};})(jQuery);

	return stack;
})(stacks.com_bigwhiteduck_stacks_FoundationHeaderPlus);


// Javascript for com_bigwhiteduck_stacks_foundationparagraphplus
// ---------------------------------------------------------------------

// Each stack has its own object with its own namespace.  The name of
// that object is the same as the stack's id.
stacks.com_bigwhiteduck_stacks_foundationparagraphplus = {};

// A closure is defined and assigned to the stack's object.  The object
// is also passed in as 'stack' which gives you a shorthand for referring
// to this object from elsewhere.
stacks.com_bigwhiteduck_stacks_foundationparagraphplus = (function(stack) {

	// When jQuery is used it will be available as $ and jQuery but only
	// inside the closure.
	var jQuery = stacks.jQuery;
	var $ = jQuery;
	
!function(e){function t(t,n){if(this.element=t,this.options=e.extend({},i,n),e(this.element).data("max-height",this.options.maxHeight),e(this.element).data("height-margin",this.options.heightMargin),delete this.options.maxHeight,this.options.embedCSS&&!o){var s=".readmore-js-toggle, .readmore-js-section { "+this.options.sectionCSS+" } .readmore-js-section { overflow: hidden; }";!function(e,t){var a=e.createElement("style");a.type="text/css",a.styleSheet?a.styleSheet.cssText=t:a.appendChild(e.createTextNode(t)),e.getElementsByTagName("head")[0].appendChild(a)}(document,s),o=!0}this._defaults=i,this._name=a,this.init()}var a="readmore",i={speed:100,maxHeight:200,heightMargin:16,moreLink:'<a href="#">Read More</a>',lessLink:'<a href="#">Close</a>',embedCSS:!0,sectionCSS:"display: block; width: 100%;",startOpen:!1,expandedClass:"readmore-js-expanded",collapsedClass:"readmore-js-collapsed",beforeToggle:function(){},afterToggle:function(){}},o=!1;t.prototype={init:function(){var t=this;e(this.element).each(function(){var a=e(this),i=a.css("max-height").replace(/[^-\d\.]/g,"")>a.data("max-height")?a.css("max-height").replace(/[^-\d\.]/g,""):a.data("max-height"),o=a.data("height-margin");if("none"!=a.css("max-height")&&a.css("max-height","none"),t.setBoxHeight(a),a.outerHeight(!0)<=i+o)return!0;a.addClass("readmore-js-section "+t.options.collapsedClass).data("collapsedHeight",i);var n=t.options.startOpen?t.options.lessLink:t.options.moreLink;a.after(e(n).on("click",function(e){t.toggleSlider(this,a,e)}).addClass("readmore-js-toggle")),t.options.startOpen||a.css({height:i})}),e(window).on("resize",function(){t.resizeBoxes()})},toggleSlider:function(t,a,i){i.preventDefault();var o=this,n=newLink=sectionClass="",s=!1,l=e(a).data("collapsedHeight");e(a).height()<=l?(n=e(a).data("expandedHeight")+"px",newLink="lessLink",s=!0,sectionClass=o.options.expandedClass):(n=l,newLink="moreLink",sectionClass=o.options.collapsedClass),o.options.beforeToggle(t,a,s),e(a).animate({height:n},{duration:o.options.speed,complete:function(){o.options.afterToggle(t,a,s),e(t).replaceWith(e(o.options[newLink]).on("click",function(e){o.toggleSlider(this,a,e)}).addClass("readmore-js-toggle")),e(this).removeClass(o.options.collapsedClass+" "+o.options.expandedClass).addClass(sectionClass)}})},setBoxHeight:function(e){var t=e.clone().css({height:"auto",width:e.width(),overflow:"hidden"}).insertAfter(e),a=t.outerHeight(!0);t.remove(),e.data("expandedHeight",a)},resizeBoxes:function(){var t=this;e(".readmore-js-section").each(function(){var a=e(this);t.setBoxHeight(a),(a.height()>a.data("expandedHeight")||a.hasClass(t.options.expandedClass)&&a.height()<a.data("expandedHeight"))&&a.css("height",a.data("expandedHeight"))})},destroy:function(){var t=this;e(this.element).each(function(){var a=e(this);a.removeClass("readmore-js-section "+t.options.collapsedClass+" "+t.options.expandedClass).css({"max-height":"",height:"auto"}).next(".readmore-js-toggle").remove(),a.removeData()})}},e.fn[a]=function(i){var o=arguments;return void 0===i||"object"==typeof i?this.each(function(){if(e.data(this,"plugin_"+a)){var o=e.data(this,"plugin_"+a);o.destroy.apply(o)}e.data(this,"plugin_"+a,new t(this,i))}):"string"==typeof i&&"_"!==i[0]&&"init"!==i?this.each(function(){var n=e.data(this,"plugin_"+a);n instanceof t&&"function"==typeof n[i]&&n[i].apply(n,Array.prototype.slice.call(o,1))}):void 0}}(jQuery),function(e,t){function a(t,a){var i=this;i.o=e.extend({},o,a),i.e=e(t),i.init()}var i="collapser",o={target:"next",mode:"words",speed:"slow",truncate:10,ellipsis:"...",effect:"fade",controlBtn:"",showText:"Show more",hideText:"Hide text",showClass:"show-class",hideClass:"hide-class",atStart:"hide",lockHide:!1,dynamic:!1,changeText:!1,beforeShow:null,afterShow:null,beforeHide:null,afterHide:null};a.prototype={init:function(){var a=this;a.mode=a.o.mode,a.remaining={},a.ctrlHtml=' <a href="#" data-ctrl class="'+(e.isFunction(a.o.controlBtn)?"":a.o.controlBtn)+'"></a>',e(a.e).each(function(){e(this).data("oCnt",a.e.html());var t=e.isFunction(a.o.atStart)?a.o.atStart.call(a.e):a.o.atStart;t="undefined"!=typeof a.e.attr("data-start")?a.e.attr("data-start"):t,"hide"==t?a.hide(a.e,0):a.show(a.e,0)});var i;e(t).on("resize",function(){a.o.dynamic&&"lines"==a.mode&&(clearTimeout(i),i=setTimeout(function(){a.reInit(a.e)},100))})},show:function(t,a){var i=this,o=e(t);"undefined"==typeof a&&(a=i.o.speed);var n=function(){e.isFunction(i.o.afterShow)&&i.o.afterShow.call(i.e,i)};switch(e.isFunction(i.o.beforeShow)&&i.o.beforeShow.call(i.e,i),i.mode){case"chars":case"words":var s=o.height();o.html(o.data("tHTML"));var l=o.height();o.height(s),o.animate({height:l},a,function(){o.height("auto"),n()}).removeClass(i.o.hideClass).addClass(i.o.showClass),o.data("tHTML",o.html());break;case"lines":0==o.children("div").length&&o.wrapInner("<div>");{var r=o.children("div"),h=r.height(),c=r.html(o.data("oCnt")).css("height","").height();r.css("height",h)}r.animate({height:c},a,function(){r.height("auto"),n()}),o.removeClass(i.o.hideClass).addClass(i.o.showClass);break;case"block":i.blockMode(o,"show",a,n)}return i.status=1,1==i.o.lockHide?(o.find("[data-ctrl]").remove(),""):void("block"==i.mode?o.off("click.coll").on("click.coll",function(e){e.preventDefault(),i.hide(o)}):(0!=o.find("[data-ctrl]").length||e.isFunction(i.o.controlBtn)||o.append(i.ctrlHtml),i.ctrlBtn=e.isFunction(i.o.controlBtn)?i.o.controlBtn.call(i.e):e(o.find("[data-ctrl]")),i.ctrlBtn.off("click.coll").on("click.coll",function(e){e.preventDefault(),i.hide(o)}).html(i.o.hideText)))},hide:function(t,a){var i=this,o=e(t);"undefined"==typeof a&&(a=i.o.speed);var n=function(){e.isFunction(i.o.afterHide)&&i.o.afterHide.call(i.e,i)};switch(e.isFunction(i.o.beforeHide)&&i.o.beforeHide.call(i.e,i),o.find("[data-ctrl]").remove(),i.mode){case"chars":var s=e.trim(o.text());i.remaining.chars=s.length-i.o.truncate,s.length>i.o.truncate&&(o.data("tHTML",o.html()),s=i.pad(s.slice(0,i.o.truncate),s.slice(i.o.truncate,s.length)),o.html(s).removeClass(i.o.showClass).addClass(i.o.hideClass),n());break;case"words":var s=e.trim(o.text()),l=s.split(" ");i.remaining.words=l.length-i.o.truncate,l.length>i.o.truncate&&(o.data("tHTML",o.html()),s=i.pad(l.slice(0,i.o.truncate).join(" "),l.slice(i.o.truncate,l.length).join(" ")),o.html(s).removeClass(i.o.showClass).addClass(i.o.hideClass),n());break;case"lines":0==o.children("div").length&&o.wrapInner("<div>");var r=o.children("div").css("height","");r.html(r.text());var h=r.height();"undefined"==typeof o.data("lHeight")?(temp=r.clone(),lHeight=temp.text("a").insertAfter(r).height(),o.data("lHeight",lHeight),r.next().remove()):lHeight=o.data("lHeight"),lines=h/lHeight,i.remaining.lines=lines-i.o.truncate,i.remaining.lines>0&&(r.css("overflow","hidden"),r.animate({height:lHeight*i.o.truncate},a).data("tHeight",h),o.removeClass(i.o.showClass).addClass(i.o.hideClass),0!=o.find("[data-ctrl]").length||e.isFunction(i.o.controlBtn)||o.append(i.ctrlHtml),n());break;case"block":i.blockMode(o,"hide",a,n)}if(i.status=0,"block"==i.mode)o.unbind("click.coll").bind("click.coll",function(e){e.preventDefault(),i.show(o)});else{i.ctrlBtn=e.isFunction(i.o.controlBtn)?i.o.controlBtn.call(i.e):e(o.find("[data-ctrl]")),i.ctrlBtn.off("click.coll").on("click.coll",function(e){e.preventDefault(),i.show(o)}).html(i.o.showText);var c=i.o.showText,d={chars:["character","characters"],words:["word","words"],lines:["lines","lines"]},g=i.remaining[i.mode]+(1==i.remaining[i.mode]?" "+d[i.mode][0]:" "+d[i.mode][1]);c=c.replace("%s",g),i.ctrlBtn.html(c)}},pad:function(t,a){var i=this;return t+'<span class="coll-ellipsis">'+i.o.ellipsis+"</span>"+(e.isFunction(i.o.ctrlBtn)?"":i.ctrlHtml)+'<span class="coll-hidden" style="display:none">'+a+"</span>"},blockMode:function(t,a,i,o){var n=this,s=["fadeOut","slideUp","fadeIn","slideDown"],l="fade"==n.o.effect?0:1,r="hide"==a?s[l]:s[l+2];e.isFunction(n.o.target)?n.o.target.call(n.e)[r](i,o):e.fn[n.o.target]&&e(t)[n.o.target]()[r](i,o),"show"==a?(t.removeClass(n.o.showClass).addClass(n.o.hideClass),n.o.changeText&&t.text(n.o.hideText)):(t.removeClass(n.o.hideClass).addClass(n.o.showClass),n.o.changeText&&t.text(n.o.showText))},reInit:function(e){var t=this;e.find("[data-ctrl]").remove(),e.html(t.e.data("oCnt")),0==t.status?t.hide(e,0):t.show(e,0)}},e.fn[i]=function(t){return this.each(function(){e.data(this,i)||e.data(this,i,new a(this,t))})}}(jQuery,window,document),function(e){function t(i,o,n){var s=r[n.mode]||r.ascii;if(3==o.nodeType&&o.nodeValue.match(s)){var l=o.nodeValue;l=l.replace(/\n+/g," ");var h=l.match(s),c=h?h[h.length-2]:"",d=h?h[h.length-1]:"";n.keepCase||(c=c.toUpperCase());var g=document.createTextNode(c),u=document.createTextNode(d),f=document.createElement(n.element);return f.appendChild(g),o.parentNode.replaceChild(u,o),u.parentNode.insertBefore(f,u),e(f).css(n.css),e(f).addClass(n["class"]),a(i,f,n),f}3==o.nodeType&&e(o).parent().css({"float":"left",display:"inline"});for(var p=0;p<o.childNodes.length;p++){var m=t(i,o.childNodes[p],n);if(m)return m}}function a(t,a,o){var n=e(a).css("lineHeight");if(1==o.factor)if(o.hang){var s=e(t).height()+"px",l=.9*e(t).height()+"px";e(a).css({fontSize:s,lineHeight:l}),i(a)}else{for(var r=6;!(!r--||e(a).height()>=e(t).height()||e(a).width()>.4*e(t).width());){var s=1.2*e(t).height()+"px",l=1*e(t).height()+"px";e(a).css({fontSize:s,lineHeight:l})}var h=-1*e(a).height()/9+"px";e(a).css({marginBottom:h})}else if("px"==n.substr(n.length-2,2)){var c=n.substring(0,n.length-2),d=-1*Math.round(c/10)+"px",h=-1*Math.round(c/5)+"px";e(a).css({marginTop:d,marginBottom:h});var s=1.05*o.factor*c+"px",l=o.factor*c*.98+"px";e(a).css({fontSize:s,lineHeight:l})}else{var s=1.05*o.factor+"em";e(a).css({fontSize:s}),e(a).css({margin:"-.1ex 0 -.25ex 0",lineHeight:"95%"})}o.hang&&i(a)}function i(t){var a=-1*e(t).width()+"px";e(t).css({marginLeft:a,marginRight:a})}var o=/^\s*([^\uAC00-\uD7A3\u4E00-\u9FFF]?[\u00C0-\u02B8\uAC00-\uD7A3\u4E00-\u9FFF])(.*)/im,n=/^\s*([^a-z\u00C0-\u02B8]?[a-z\u00C0-\u02B8])(.*)/im,s=/^\s*(\W?[a-z])(.*)/im,l=/^\s*([^a-z\u00C0-\u02B8\uAC00-\uD7A3\u4E00-\u9FFF]?[a-z\u00C0-\u02B8\uAC00-\uD7A3\u4E00-\u9FFF])(.*)/im,r={ascii:s,cjk:o,extended:n,unified:l},h={opacity:.7,padding:0,display:"block",textAlign:"right","float":"left",fontStyle:"normal",fontWeight:"bold",overflow:"visible",textDecoration:"none"};e.fn.dropJ=function(a){var i=e.extend({},e.fn.dropJ.defaults,a);return this.each(function(){$this=e(this);var a=e.meta?e.extend({},i,$this.data()):i;t($this.get(0),$this.get(0),a)&&a.clear&&$this.css({clear:"left"})})},e.fn.dropJ.defaults={css:h,clear:!0,keepCase:!0,regex:r.ascii,element:"span",factor:3,toggleFamily:!1,"class":"dropj"}}(jQuery);
	return stack;
})(stacks.com_bigwhiteduck_stacks_foundationparagraphplus);


// Javascript for stacks_in_1_page0
// ---------------------------------------------------------------------

// Each stack has its own object with its own namespace.  The name of
// that object is the same as the stack's id.
stacks.stacks_in_1_page0 = {};

// A closure is defined and assigned to the stack's object.  The object
// is also passed in as 'stack' which gives you a shorthand for referring
// to this object from elsewhere.
stacks.stacks_in_1_page0 = (function(stack) {

	// When jQuery is used it will be available as $ and jQuery but only
	// inside the closure.
	var jQuery = stacks.jQuery;
	var $ = jQuery;
	

document.documentElement.lang='en';window.wowjsmobile=true;window.revealAnimation='fadeAndPop';$(document).ready(function(){if($.isMobile())
$('.show-for-touch').fadeIn('fast');});function loadCSS(href,before,media,callback){"use strict";var ss=window.document.createElement("link");var ref=before||window.document.getElementsByTagName("script")[0];var sheets=window.document.styleSheets;ss.rel="stylesheet";ss.href=href;ss.media="only x";if(callback){ss.onload=callback}ref.parentNode.insertBefore(ss,ref);function toggleMedia(){var defined;for(var i=0;i<sheets.length;i++){if(sheets[i].href&&sheets[i].href.indexOf(ss.href)>-1){defined=true}}if(defined){ss.media=media||"all"}else{setTimeout(toggleMedia)}}toggleMedia();return ss}
var useCustomSelector='False',stacksTrue='True',headerFamily='Open Sans'==='custom'?'':"Open Sans",headerFamilyFallback='sans-serif',headerSelector='h1'+',.font-family-h1',headerStyle='normal',headerGoogle=headerFamily==='Open Sans'?stacksTrue:'Open Sans'==='custom'?'False':'false',headerWeight=headerStyle==='italic'?'300italic':'300',headerWeight=headerWeight+','.replace(/\s/g,''),header2Family='Open Sans'==='custom'?'':'Open Sans',header2FamilyFallback='sans-serif',header2Selector='h2, h3, h4, h5, h6'+',.font-family-h2',header2Style='normal',header2Google=header2Family==='Open Sans'?stacksTrue:'Open Sans'==='custom'?'False':'false',header2Weight=header2Style==='italic'?'600italic':'600',header2Weight=header2Weight+','.replace(/\s/g,''),fontFamily='\'Helvetica Neue\', Helvetica, Arial, sans-serif'==='custom'?'':'\'Helvetica Neue\', Helvetica, Arial, sans-serif',fontFamilyFallback='sans-serif',fontSelector='p'+',.font-family-text',fontGoogle=fontFamily==='Open Sans'?stacksTrue:'\'Helvetica Neue\', Helvetica, Arial, sans-serif'==='custom'?'False':'false',fontWeight='400,'.replace(/\s/g,''),icons='fontawesome',fontAwesome='files/fontawesome/font-awesome.css',getGoogleUrls=function(fontStore){var googleFonts=[];for(var family in fontStore){var weights=fontStore[family].join().replace(/,,/g,',').replace(/,$/,'');googleFonts.push('https://fonts.googleapis.com/css?family='+family+':'+weights);}
return googleFonts;},isGFont=function(family,google){console.log(family+'::'+google);if(google===stacksTrue)return family;return false;},getGoogleFonts=function(data){var fonts=data.fonts,weights=data.weights,google=data.google,fontStore=new Object();for(var i=0;i<fonts.length;i++){if(isGFont(fonts[i],google[i])===false)continue;(fontStore[fonts[i]]=fontStore[fonts[i]]||[]).push(weights[i]);}
return getGoogleUrls(fontStore);};var cssFontFiles=getGoogleFonts({fonts:[headerFamily,header2Family,fontFamily],weights:[headerWeight,header2Weight,fontWeight],google:[headerGoogle,header2Google,fontGoogle]});if(icons==='fontawesome'){cssFontFiles.push(fontAwesome);}
for(var i=0;i<cssFontFiles.length;i++){loadCSS(decodeURIComponent(cssFontFiles[i]));}
if(useCustomSelector===stacksTrue){var customFontStyles={'font-family':[fontFamily,fontFamilyFallback].join()+'!important','font-weight':fontWeight.split(',')[0]+'!important'},customHeaderSyles={'font-family':[headerFamily,headerFamilyFallback].join()+'!important','font-weight':headerWeight.split(',')[0]+'!important','font-style':headerStyle+'!important'},customHeader2Syles={'font-family':[header2Family,header2FamilyFallback].join()+'!important','font-weight':header2Weight.split(',')[0]+'!important','font-style':header2Style+'!important'};$.debug('Custom Font Selectors:'+fontSelector,customFontStyles);vein.inject(fontSelector,customFontStyles);$.debug('Custom Header Selectors:'+headerSelector,customHeaderSyles);vein.inject(headerSelector,customHeaderSyles);$.debug('Custom Header2 Selectors:'+header2Selector,customHeader2Syles);vein.inject(header2Selector,customHeader2Syles);}

	return stack;
})(stacks.stacks_in_1_page0);


// Javascript for stacks_in_140_page0
// ---------------------------------------------------------------------

// Each stack has its own object with its own namespace.  The name of
// that object is the same as the stack's id.
stacks.stacks_in_140_page0 = {};

// A closure is defined and assigned to the stack's object.  The object
// is also passed in as 'stack' which gives you a shorthand for referring
// to this object from elsewhere.
stacks.stacks_in_140_page0 = (function(stack) {

	// When jQuery is used it will be available as $ and jQuery but only
	// inside the closure.
	var jQuery = stacks.jQuery;
	var $ = jQuery;
	
 $(window).load(function(){var stack=$('#stacks_in_140_page0 .pin-it'),wrapper=$('#stacks_in_140_page0'),spacer=$('#stacks_in_140_page0 .pin-spacer'),didScroll,lastPos=0,downTolerance=100,upTolerance=100,navbarHeight=stack.outerHeight(),topOffset=0,offsetUnits='px',smallOffsetUnits=false===true?'px':'px',breakpoint=640,smallTopOffset=false===true?0:0,smallTopOffset=false===true?-9999:smallTopOffset,triggerTop=stack.offset().top-topOffset;spacer.css('height',0);calcOffset(breakpoint,true);resizeElement();stack.addClass('pin-static');$(window).scroll(function(event){shouldAnimate($(this).scrollTop());didScroll=true});setInterval(function(){if(didScroll){hasScrolled();didScroll=false;}},10);function hasScrolled(){var sup=$(window).scrollTop();if(sup>triggerTop&&stack.hasClass('pin-static')){toggleSpacer(true);stack.removeClass('pin-static').addClass('pin-fixed');wrapper.addClass('pin-fixed');lastPos=sup;}
if(sup<triggerTop&&stack.hasClass('pin-fixed')){toggleSpacer(false);stack.removeClass('pin-fixed').addClass("pin-static");wrapper.removeClass('pin-fixed')}if(stack.hasClass('pin-fixed')){if(sup>(lastPos+downTolerance)){stack.removeClass('slide-down').addClass('slide-up');lastPos=sup;}
if((sup<(lastPos-upTolerance))&&(sup+$(window).height()<$(document).height())){stack.removeClass('slide-up').addClass('slide-down');lastPos=sup;}}}
function shouldAnimate(yPos){if(yPos<triggerTop){stack.removeClass('animate').removeClass('slide-up').removeClass('slide-down')}else{stack.addClass('animate')}}
function toggleSpacer(fix){if(fix==true){spacer.css('height',stack.height());}else
{spacer.css('height',0);}}
function resizeElement(){stack.css('width',spacer.outerWidth(true));}
function convertToPercent(percentValue){var absBottom;return((percentValue/100)*$(window).height());}
function calcOffset(breakpoint,init){var thisTop,thisUnits,winWidth=$(window).width();thisTop=winWidth>breakpoint?topOffset:smallTopOffset;thisUnits=winWidth>breakpoint?offsetUnits:smallOffsetUnits;if(thisUnits==="%")thisTop=convertToPercent(thisTop);if(init){lastPos=$(window).scrollTop;if(spacer.offset().top<thisTop){stack.addClass('pin-fixed').removeClass('pin-static')}
else{stack.removeClass('pin-fixed').addClass('pin-static')}}triggerTop=spacer.offset().top-thisTop;}
$(window).resize(function(){resizeElement();calcOffset(breakpoint,true);hasScrolled();});function isTouchDevice(){return true==("ontouchstart"in window||window.DocumentTouch&&document instanceof DocumentTouch)}});

	return stack;
})(stacks.stacks_in_140_page0);


// Javascript for stacks_in_142_page0
// ---------------------------------------------------------------------

// Each stack has its own object with its own namespace.  The name of
// that object is the same as the stack's id.
stacks.stacks_in_142_page0 = {};

// A closure is defined and assigned to the stack's object.  The object
// is also passed in as 'stack' which gives you a shorthand for referring
// to this object from elsewhere.
stacks.stacks_in_142_page0 = (function(stack) {

	// When jQuery is used it will be available as $ and jQuery but only
	// inside the closure.
	var jQuery = stacks.jQuery;
	var $ = jQuery;
	
 var opacity=0,opacityBottom=85,hoverOpacity=0,subNavIndex=1,divide=1,zoneDivider=0,fullWidthMenu='full-width',scope='all',style='solid',menuAlign='right',baseColor='#FFFFFF',baseColorTop='#737373',activeColor='#FFFFFF',hoverColor='#FFFFFF',styleActive=''==='styleActive'?true:false,rwmenu='rw'==='rw'?true:false,magellan='rw'==='magellan'?true:false,menuItems='#stacks_in_142_page0 ul:not(.title-area) li:hover > a:not(.button)',dropdowns='#stacks_in_142_page0 ul:not(.title-area) li.has-dropdown';if(opacity<100||style=="faded"){$.glass({colors:[baseColor,baseColorTop],preset:style,gradient:'linear',opacity:[opacity,opacityBottom],selector:'#stacks_in_142_page0 .top-bar-wrapper'});$.glass({colors:[baseColor],opacity:[opacity],selector:'#stacks_in_142_page0 ul:not(.title-area) ul.dropdown'});}
if(hoverOpacity<100){if(styleActive){var active=magellan?'#stacks_in_142_page0 .top-bar-wrapper.styleActive .magellanList li.active > a':'#stacks_in_142_page0 .top-bar-wrapper.styleActive li.active > a';$.glass({colors:[activeColor],opacity:[hoverOpacity],selector:active});}
$.glass({colors:[hoverColor],opacity:[hoverOpacity],selector:menuItems});$.glass({colors:[hoverColor],opacity:[hoverOpacity],selector:dropdowns+'> a.hovered:not(.button)'});}
$(document).ready(function(){var stack=$('#stacks_in_142_page0');stack.parent().css({overflow:'visible'});$('.top-bar-section:not(.menu-magellan):not(.menu-none)',stack).rwflexnav({scope:scope,subNavIndex:subNavIndex,divide:divide});if(magellan){if(divide)$('ul.magellanList',stack).divideNav();$('.magellanList li',stack).each(function(){var id=$(this).data('magellan-arrival');$('a',this).attr('href','#'+id);});}
if($('ul.zone',stack).exists()){if(zoneDivider)$('ul.zone',stack).divideNav();}
if($('.zone-align-left ul.zone',stack).exists()||!$('ul.zone',stack).exists()){$('ul.menu',stack).addClass(menuAlign);}
if(fullWidthMenu==='full-width'&&menuAlign==='centered'){var calcMenuItemWidth=function(){var items=$('.menu-align-centered ul.menu > li:not(.divider)',stack),dividers=$('.menu-align-centered ul.menu > li.divider',stack);if($('.top-bar .toggle-topbar',stack).is(':visible')){items.removeAttr('style');}
else{var count=items.length;if(count>0){var width=dividers.length>0?100/count-0.2:100/count;items.width(width+"%");}}};calcMenuItemWidth();$(window).on('resize',calcMenuItemWidth);}
$(dropdowns).hover(function(){$('> a:not(.button)',this).addClass('hovered');},function(){$('> a:not(.button)',this).removeClass('hovered');});});

	return stack;
})(stacks.stacks_in_142_page0);


// Javascript for stacks_in_708_page0
// ---------------------------------------------------------------------

// Each stack has its own object with its own namespace.  The name of
// that object is the same as the stack's id.
stacks.stacks_in_708_page0 = {};

// A closure is defined and assigned to the stack's object.  The object
// is also passed in as 'stack' which gives you a shorthand for referring
// to this object from elsewhere.
stacks.stacks_in_708_page0 = (function(stack) {

	// When jQuery is used it will be available as $ and jQuery but only
	// inside the closure.
	var jQuery = stacks.jQuery;
	var $ = jQuery;
	
 $(window).load(function(){var stack=$('#stacks_in_708_page0 .pin-it'),wrapper=$('#stacks_in_708_page0'),spacer=$('#stacks_in_708_page0 .pin-spacer'),didScroll,lastPos=0,downTolerance=100,upTolerance=100,navbarHeight=stack.outerHeight(),topOffset=-90,offsetUnits='px',smallOffsetUnits=false===true?'px':'px',breakpoint=645,smallTopOffset=false===true?0:-90,smallTopOffset=false===true?-9999:smallTopOffset,triggerTop=stack.offset().top-topOffset;spacer.css('height',0);calcOffset(breakpoint,true);resizeElement();stack.addClass('pin-static');$(window).scroll(function(event){shouldAnimate($(this).scrollTop());didScroll=true});setInterval(function(){if(didScroll){hasScrolled();didScroll=false;}},10);function hasScrolled(){var sup=$(window).scrollTop();if(sup>triggerTop&&stack.hasClass('pin-static')){toggleSpacer(true);stack.removeClass('pin-static').addClass('pin-fixed');wrapper.addClass('pin-fixed');lastPos=sup;}
if(sup<triggerTop&&stack.hasClass('pin-fixed')){toggleSpacer(false);stack.removeClass('pin-fixed').addClass("pin-static");wrapper.removeClass('pin-fixed')}if(stack.hasClass('pin-fixed')){if(sup>(lastPos+downTolerance)){stack.removeClass('slide-down').addClass('slide-up');lastPos=sup;}
if((sup<(lastPos-upTolerance))&&(sup+$(window).height()<$(document).height())){stack.removeClass('slide-up').addClass('slide-down');lastPos=sup;}}}
function shouldAnimate(yPos){if(yPos<triggerTop){stack.removeClass('animate').removeClass('slide-up').removeClass('slide-down')}else{stack.addClass('animate')}}
function toggleSpacer(fix){if(fix==true){spacer.css('height',stack.height());}else
{spacer.css('height',0);}}
function resizeElement(){stack.css('width',spacer.outerWidth(true));}
function convertToPercent(percentValue){var absBottom;return((percentValue/100)*$(window).height());}
function calcOffset(breakpoint,init){var thisTop,thisUnits,winWidth=$(window).width();thisTop=winWidth>breakpoint?topOffset:smallTopOffset;thisUnits=winWidth>breakpoint?offsetUnits:smallOffsetUnits;if(thisUnits==="%")thisTop=convertToPercent(thisTop);if(init){lastPos=$(window).scrollTop;if(spacer.offset().top<thisTop){stack.addClass('pin-fixed').removeClass('pin-static')}
else{stack.removeClass('pin-fixed').addClass('pin-static')}}triggerTop=spacer.offset().top-thisTop;}
$(window).resize(function(){resizeElement();calcOffset(breakpoint,true);hasScrolled();});function isTouchDevice(){return true==("ontouchstart"in window||window.DocumentTouch&&document instanceof DocumentTouch)}});

	return stack;
})(stacks.stacks_in_708_page0);


// Javascript for stacks_in_17_page0
// ---------------------------------------------------------------------

// Each stack has its own object with its own namespace.  The name of
// that object is the same as the stack's id.
stacks.stacks_in_17_page0 = {};

// A closure is defined and assigned to the stack's object.  The object
// is also passed in as 'stack' which gives you a shorthand for referring
// to this object from elsewhere.
stacks.stacks_in_17_page0 = (function(stack) {

	// When jQuery is used it will be available as $ and jQuery but only
	// inside the closure.
	var jQuery = stacks.jQuery;
	var $ = jQuery;
	
 $(document).ready(function($){var minFont=12+'px',maxFont=200+'px';$('#stacks_in_17_page0 .headPlus').fitText(0.41,{minFontSize:minFont,maxFontSize:maxFont});});

	return stack;
})(stacks.stacks_in_17_page0);


// Javascript for stacks_in_863_page0
// ---------------------------------------------------------------------

// Each stack has its own object with its own namespace.  The name of
// that object is the same as the stack's id.
stacks.stacks_in_863_page0 = {};

// A closure is defined and assigned to the stack's object.  The object
// is also passed in as 'stack' which gives you a shorthand for referring
// to this object from elsewhere.
stacks.stacks_in_863_page0 = (function(stack) {

	// When jQuery is used it will be available as $ and jQuery but only
	// inside the closure.
	var jQuery = stacks.jQuery;
	var $ = jQuery;
	
 $(document).ready(function($){var minFont=12+'px',maxFont=200+'px';$('#stacks_in_863_page0 .headPlus').fitText(1.40,{minFontSize:minFont,maxFontSize:maxFont});});

	return stack;
})(stacks.stacks_in_863_page0);


// Javascript for stacks_in_4336_page0
// ---------------------------------------------------------------------

// Each stack has its own object with its own namespace.  The name of
// that object is the same as the stack's id.
stacks.stacks_in_4336_page0 = {};

// A closure is defined and assigned to the stack's object.  The object
// is also passed in as 'stack' which gives you a shorthand for referring
// to this object from elsewhere.
stacks.stacks_in_4336_page0 = (function(stack) {

	// When jQuery is used it will be available as $ and jQuery but only
	// inside the closure.
	var jQuery = stacks.jQuery;
	var $ = jQuery;
	
 $(window).load(function(){var stack=$('#stacks_in_4336_page0 .pin-it'),wrapper=$('#stacks_in_4336_page0'),spacer=$('#stacks_in_4336_page0 .pin-spacer'),didScroll,lastPos=0,downTolerance=100,upTolerance=100,navbarHeight=stack.outerHeight(),topOffset=65,offsetUnits='px',smallOffsetUnits=false===true?'px':'px',breakpoint=645,smallTopOffset=false===true?0:65,smallTopOffset=false===true?-9999:smallTopOffset,triggerTop=stack.offset().top-topOffset;spacer.css('height',0);calcOffset(breakpoint,true);resizeElement();stack.addClass('pin-static');$(window).scroll(function(event){shouldAnimate($(this).scrollTop());didScroll=true});setInterval(function(){if(didScroll){hasScrolled();didScroll=false;}},10);function hasScrolled(){var sup=$(window).scrollTop();if(sup>triggerTop&&stack.hasClass('pin-static')){toggleSpacer(true);stack.removeClass('pin-static').addClass('pin-fixed');wrapper.addClass('pin-fixed');lastPos=sup;}
if(sup<triggerTop&&stack.hasClass('pin-fixed')){toggleSpacer(false);stack.removeClass('pin-fixed').addClass("pin-static");wrapper.removeClass('pin-fixed')}if(stack.hasClass('pin-fixed')){if(sup>(lastPos+downTolerance)){stack.removeClass('slide-down').addClass('slide-up');lastPos=sup;}
if((sup<(lastPos-upTolerance))&&(sup+$(window).height()<$(document).height())){stack.removeClass('slide-up').addClass('slide-down');lastPos=sup;}}}
function shouldAnimate(yPos){if(yPos<triggerTop){stack.removeClass('animate').removeClass('slide-up').removeClass('slide-down')}else{stack.addClass('animate')}}
function toggleSpacer(fix){if(fix==true){spacer.css('height',stack.height());}else
{spacer.css('height',0);}}
function resizeElement(){stack.css('width',spacer.outerWidth(true));}
function convertToPercent(percentValue){var absBottom;return((percentValue/100)*$(window).height());}
function calcOffset(breakpoint,init){var thisTop,thisUnits,winWidth=$(window).width();thisTop=winWidth>breakpoint?topOffset:smallTopOffset;thisUnits=winWidth>breakpoint?offsetUnits:smallOffsetUnits;if(thisUnits==="%")thisTop=convertToPercent(thisTop);if(init){lastPos=$(window).scrollTop;if(spacer.offset().top<thisTop){stack.addClass('pin-fixed').removeClass('pin-static')}
else{stack.removeClass('pin-fixed').addClass('pin-static')}}triggerTop=spacer.offset().top-thisTop;}
$(window).resize(function(){resizeElement();calcOffset(breakpoint,true);hasScrolled();});function isTouchDevice(){return true==("ontouchstart"in window||window.DocumentTouch&&document instanceof DocumentTouch)}});

	return stack;
})(stacks.stacks_in_4336_page0);


// Javascript for stacks_in_741_page0
// ---------------------------------------------------------------------

// Each stack has its own object with its own namespace.  The name of
// that object is the same as the stack's id.
stacks.stacks_in_741_page0 = {};

// A closure is defined and assigned to the stack's object.  The object
// is also passed in as 'stack' which gives you a shorthand for referring
// to this object from elsewhere.
stacks.stacks_in_741_page0 = (function(stack) {

	// When jQuery is used it will be available as $ and jQuery but only
	// inside the closure.
	var jQuery = stacks.jQuery;
	var $ = jQuery;
	
 $(window).load(function(){var stack=$('#stacks_in_741_page0 .pin-it'),wrapper=$('#stacks_in_741_page0'),spacer=$('#stacks_in_741_page0 .pin-spacer'),didScroll,lastPos=0,downTolerance=100,upTolerance=100,navbarHeight=stack.outerHeight(),topOffset=105,offsetUnits='px',smallOffsetUnits=true===true?'px':'px',breakpoint=645,smallTopOffset=true===true?65:105,smallTopOffset=true===true?-9999:smallTopOffset,triggerTop=stack.offset().top-topOffset;spacer.css('height',0);calcOffset(breakpoint,true);resizeElement();stack.addClass('pin-static');$(window).scroll(function(event){shouldAnimate($(this).scrollTop());didScroll=true});setInterval(function(){if(didScroll){hasScrolled();didScroll=false;}},10);function hasScrolled(){var sup=$(window).scrollTop();if(sup>triggerTop&&stack.hasClass('pin-static')){toggleSpacer(true);stack.removeClass('pin-static').addClass('pin-fixed');wrapper.addClass('pin-fixed');lastPos=sup;}
if(sup<triggerTop&&stack.hasClass('pin-fixed')){toggleSpacer(false);stack.removeClass('pin-fixed').addClass("pin-static");wrapper.removeClass('pin-fixed')}if(stack.hasClass('pin-fixed')){if(sup>(lastPos+downTolerance)){stack.removeClass('slide-down').addClass('slide-up');lastPos=sup;}
if((sup<(lastPos-upTolerance))&&(sup+$(window).height()<$(document).height())){stack.removeClass('slide-up').addClass('slide-down');lastPos=sup;}}}
function shouldAnimate(yPos){if(yPos<triggerTop){stack.removeClass('animate').removeClass('slide-up').removeClass('slide-down')}else{stack.addClass('animate')}}
function toggleSpacer(fix){if(fix==true){spacer.css('height',stack.height());}else
{spacer.css('height',0);}}
function resizeElement(){stack.css('width',spacer.outerWidth(true));}
function convertToPercent(percentValue){var absBottom;return((percentValue/100)*$(window).height());}
function calcOffset(breakpoint,init){var thisTop,thisUnits,winWidth=$(window).width();thisTop=winWidth>breakpoint?topOffset:smallTopOffset;thisUnits=winWidth>breakpoint?offsetUnits:smallOffsetUnits;if(thisUnits==="%")thisTop=convertToPercent(thisTop);if(init){lastPos=$(window).scrollTop;if(spacer.offset().top<thisTop){stack.addClass('pin-fixed').removeClass('pin-static')}
else{stack.removeClass('pin-fixed').addClass('pin-static')}}triggerTop=spacer.offset().top-thisTop;}
$(window).resize(function(){resizeElement();calcOffset(breakpoint,true);hasScrolled();});function isTouchDevice(){return true==("ontouchstart"in window||window.DocumentTouch&&document instanceof DocumentTouch)}});

	return stack;
})(stacks.stacks_in_741_page0);


// Javascript for stacks_in_759_page0
// ---------------------------------------------------------------------

// Each stack has its own object with its own namespace.  The name of
// that object is the same as the stack's id.
stacks.stacks_in_759_page0 = {};

// A closure is defined and assigned to the stack's object.  The object
// is also passed in as 'stack' which gives you a shorthand for referring
// to this object from elsewhere.
stacks.stacks_in_759_page0 = (function(stack) {

	// When jQuery is used it will be available as $ and jQuery but only
	// inside the closure.
	var jQuery = stacks.jQuery;
	var $ = jQuery;
	
 $(document).ready(function($){});

	return stack;
})(stacks.stacks_in_759_page0);


// Javascript for stacks_in_1057_page0
// ---------------------------------------------------------------------

// Each stack has its own object with its own namespace.  The name of
// that object is the same as the stack's id.
stacks.stacks_in_1057_page0 = {};

// A closure is defined and assigned to the stack's object.  The object
// is also passed in as 'stack' which gives you a shorthand for referring
// to this object from elsewhere.
stacks.stacks_in_1057_page0 = (function(stack) {

	// When jQuery is used it will be available as $ and jQuery but only
	// inside the closure.
	var jQuery = stacks.jQuery;
	var $ = jQuery;
	
 $(document).ready(function($){var minFont=12+'px',maxFont=200+'px';$('#stacks_in_1057_page0 .headPlus').fitText(1.40,{minFontSize:minFont,maxFontSize:maxFont});});

	return stack;
})(stacks.stacks_in_1057_page0);


// Javascript for stacks_in_1082_page0
// ---------------------------------------------------------------------

// Each stack has its own object with its own namespace.  The name of
// that object is the same as the stack's id.
stacks.stacks_in_1082_page0 = {};

// A closure is defined and assigned to the stack's object.  The object
// is also passed in as 'stack' which gives you a shorthand for referring
// to this object from elsewhere.
stacks.stacks_in_1082_page0 = (function(stack) {

	// When jQuery is used it will be available as $ and jQuery but only
	// inside the closure.
	var jQuery = stacks.jQuery;
	var $ = jQuery;
	
 $(document).ready(function($){var minFont=12+'px',maxFont=200+'px';$('#stacks_in_1082_page0 .headPlus').fitText(1.40,{minFontSize:minFont,maxFontSize:maxFont});});

	return stack;
})(stacks.stacks_in_1082_page0);


// Javascript for stacks_in_4440_page0
// ---------------------------------------------------------------------

// Each stack has its own object with its own namespace.  The name of
// that object is the same as the stack's id.
stacks.stacks_in_4440_page0 = {};

// A closure is defined and assigned to the stack's object.  The object
// is also passed in as 'stack' which gives you a shorthand for referring
// to this object from elsewhere.
stacks.stacks_in_4440_page0 = (function(stack) {

	// When jQuery is used it will be available as $ and jQuery but only
	// inside the closure.
	var jQuery = stacks.jQuery;
	var $ = jQuery;
	
 $(window).load(function(){var stack=$('#stacks_in_4440_page0 .pin-it'),wrapper=$('#stacks_in_4440_page0'),spacer=$('#stacks_in_4440_page0 .pin-spacer'),didScroll,lastPos=0,downTolerance=100,upTolerance=100,navbarHeight=stack.outerHeight(),topOffset=253,offsetUnits='px',smallOffsetUnits=false===true?'px':'px',breakpoint=645,smallTopOffset=false===true?0:253,smallTopOffset=false===true?-9999:smallTopOffset,triggerTop=stack.offset().top-topOffset;spacer.css('height',0);calcOffset(breakpoint,true);resizeElement();stack.addClass('pin-static');$(window).scroll(function(event){shouldAnimate($(this).scrollTop());didScroll=true});setInterval(function(){if(didScroll){hasScrolled();didScroll=false;}},10);function hasScrolled(){var sup=$(window).scrollTop();if(sup>triggerTop&&stack.hasClass('pin-static')){toggleSpacer(true);stack.removeClass('pin-static').addClass('pin-fixed');wrapper.addClass('pin-fixed');lastPos=sup;}
if(sup<triggerTop&&stack.hasClass('pin-fixed')){toggleSpacer(false);stack.removeClass('pin-fixed').addClass("pin-static");wrapper.removeClass('pin-fixed')}if(stack.hasClass('pin-fixed')){if(sup>(lastPos+downTolerance)){stack.removeClass('slide-down').addClass('slide-up');lastPos=sup;}
if((sup<(lastPos-upTolerance))&&(sup+$(window).height()<$(document).height())){stack.removeClass('slide-up').addClass('slide-down');lastPos=sup;}}}
function shouldAnimate(yPos){if(yPos<triggerTop){stack.removeClass('animate').removeClass('slide-up').removeClass('slide-down')}else{stack.addClass('animate')}}
function toggleSpacer(fix){if(fix==true){spacer.css('height',stack.height());}else
{spacer.css('height',0);}}
function resizeElement(){stack.css('width',spacer.outerWidth(true));}
function convertToPercent(percentValue){var absBottom;return((percentValue/100)*$(window).height());}
function calcOffset(breakpoint,init){var thisTop,thisUnits,winWidth=$(window).width();thisTop=winWidth>breakpoint?topOffset:smallTopOffset;thisUnits=winWidth>breakpoint?offsetUnits:smallOffsetUnits;if(thisUnits==="%")thisTop=convertToPercent(thisTop);if(init){lastPos=$(window).scrollTop;if(spacer.offset().top<thisTop){stack.addClass('pin-fixed').removeClass('pin-static')}
else{stack.removeClass('pin-fixed').addClass('pin-static')}}triggerTop=spacer.offset().top-thisTop;}
$(window).resize(function(){resizeElement();calcOffset(breakpoint,true);hasScrolled();});function isTouchDevice(){return true==("ontouchstart"in window||window.DocumentTouch&&document instanceof DocumentTouch)}});

	return stack;
})(stacks.stacks_in_4440_page0);


// Javascript for stacks_in_989_page0
// ---------------------------------------------------------------------

// Each stack has its own object with its own namespace.  The name of
// that object is the same as the stack's id.
stacks.stacks_in_989_page0 = {};

// A closure is defined and assigned to the stack's object.  The object
// is also passed in as 'stack' which gives you a shorthand for referring
// to this object from elsewhere.
stacks.stacks_in_989_page0 = (function(stack) {

	// When jQuery is used it will be available as $ and jQuery but only
	// inside the closure.
	var jQuery = stacks.jQuery;
	var $ = jQuery;
	
 $(window).load(function(){var stack=$('#stacks_in_989_page0 .pin-it'),wrapper=$('#stacks_in_989_page0'),spacer=$('#stacks_in_989_page0 .pin-spacer'),didScroll,lastPos=0,downTolerance=100,upTolerance=100,navbarHeight=stack.outerHeight(),topOffset=265,offsetUnits='px',smallOffsetUnits=true===true?'px':'px',breakpoint=645,smallTopOffset=true===true?300:265,smallTopOffset=true===true?-9999:smallTopOffset,triggerTop=stack.offset().top-topOffset;spacer.css('height',0);calcOffset(breakpoint,true);resizeElement();stack.addClass('pin-static');$(window).scroll(function(event){shouldAnimate($(this).scrollTop());didScroll=true});setInterval(function(){if(didScroll){hasScrolled();didScroll=false;}},10);function hasScrolled(){var sup=$(window).scrollTop();if(sup>triggerTop&&stack.hasClass('pin-static')){toggleSpacer(true);stack.removeClass('pin-static').addClass('pin-fixed');wrapper.addClass('pin-fixed');lastPos=sup;}
if(sup<triggerTop&&stack.hasClass('pin-fixed')){toggleSpacer(false);stack.removeClass('pin-fixed').addClass("pin-static");wrapper.removeClass('pin-fixed')}if(stack.hasClass('pin-fixed')){if(sup>(lastPos+downTolerance)){stack.removeClass('slide-down').addClass('slide-up');lastPos=sup;}
if((sup<(lastPos-upTolerance))&&(sup+$(window).height()<$(document).height())){stack.removeClass('slide-up').addClass('slide-down');lastPos=sup;}}}
function shouldAnimate(yPos){if(yPos<triggerTop){stack.removeClass('animate').removeClass('slide-up').removeClass('slide-down')}else{stack.addClass('animate')}}
function toggleSpacer(fix){if(fix==true){spacer.css('height',stack.height());}else
{spacer.css('height',0);}}
function resizeElement(){stack.css('width',spacer.outerWidth(true));}
function convertToPercent(percentValue){var absBottom;return((percentValue/100)*$(window).height());}
function calcOffset(breakpoint,init){var thisTop,thisUnits,winWidth=$(window).width();thisTop=winWidth>breakpoint?topOffset:smallTopOffset;thisUnits=winWidth>breakpoint?offsetUnits:smallOffsetUnits;if(thisUnits==="%")thisTop=convertToPercent(thisTop);if(init){lastPos=$(window).scrollTop;if(spacer.offset().top<thisTop){stack.addClass('pin-fixed').removeClass('pin-static')}
else{stack.removeClass('pin-fixed').addClass('pin-static')}}triggerTop=spacer.offset().top-thisTop;}
$(window).resize(function(){resizeElement();calcOffset(breakpoint,true);hasScrolled();});function isTouchDevice(){return true==("ontouchstart"in window||window.DocumentTouch&&document instanceof DocumentTouch)}});

	return stack;
})(stacks.stacks_in_989_page0);


// Javascript for stacks_in_995_page0
// ---------------------------------------------------------------------

// Each stack has its own object with its own namespace.  The name of
// that object is the same as the stack's id.
stacks.stacks_in_995_page0 = {};

// A closure is defined and assigned to the stack's object.  The object
// is also passed in as 'stack' which gives you a shorthand for referring
// to this object from elsewhere.
stacks.stacks_in_995_page0 = (function(stack) {

	// When jQuery is used it will be available as $ and jQuery but only
	// inside the closure.
	var jQuery = stacks.jQuery;
	var $ = jQuery;
	
 $(document).ready(function($){});

	return stack;
})(stacks.stacks_in_995_page0);


// Javascript for stacks_in_4354_page0
// ---------------------------------------------------------------------

// Each stack has its own object with its own namespace.  The name of
// that object is the same as the stack's id.
stacks.stacks_in_4354_page0 = {};

// A closure is defined and assigned to the stack's object.  The object
// is also passed in as 'stack' which gives you a shorthand for referring
// to this object from elsewhere.
stacks.stacks_in_4354_page0 = (function(stack) {

	// When jQuery is used it will be available as $ and jQuery but only
	// inside the closure.
	var jQuery = stacks.jQuery;
	var $ = jQuery;
	
 $(window).load(function(){var stack=$('#stacks_in_4354_page0 .pin-it'),wrapper=$('#stacks_in_4354_page0'),spacer=$('#stacks_in_4354_page0 .pin-spacer'),didScroll,lastPos=0,downTolerance=100,upTolerance=100,navbarHeight=stack.outerHeight(),topOffset=388,offsetUnits='px',smallOffsetUnits=false===true?'px':'px',breakpoint=645,smallTopOffset=false===true?0:388,smallTopOffset=false===true?-9999:smallTopOffset,triggerTop=stack.offset().top-topOffset;spacer.css('height',0);calcOffset(breakpoint,true);resizeElement();stack.addClass('pin-static');$(window).scroll(function(event){shouldAnimate($(this).scrollTop());didScroll=true});setInterval(function(){if(didScroll){hasScrolled();didScroll=false;}},10);function hasScrolled(){var sup=$(window).scrollTop();if(sup>triggerTop&&stack.hasClass('pin-static')){toggleSpacer(true);stack.removeClass('pin-static').addClass('pin-fixed');wrapper.addClass('pin-fixed');lastPos=sup;}
if(sup<triggerTop&&stack.hasClass('pin-fixed')){toggleSpacer(false);stack.removeClass('pin-fixed').addClass("pin-static");wrapper.removeClass('pin-fixed')}if(stack.hasClass('pin-fixed')){if(sup>(lastPos+downTolerance)){stack.removeClass('slide-down').addClass('slide-up');lastPos=sup;}
if((sup<(lastPos-upTolerance))&&(sup+$(window).height()<$(document).height())){stack.removeClass('slide-up').addClass('slide-down');lastPos=sup;}}}
function shouldAnimate(yPos){if(yPos<triggerTop){stack.removeClass('animate').removeClass('slide-up').removeClass('slide-down')}else{stack.addClass('animate')}}
function toggleSpacer(fix){if(fix==true){spacer.css('height',stack.height());}else
{spacer.css('height',0);}}
function resizeElement(){stack.css('width',spacer.outerWidth(true));}
function convertToPercent(percentValue){var absBottom;return((percentValue/100)*$(window).height());}
function calcOffset(breakpoint,init){var thisTop,thisUnits,winWidth=$(window).width();thisTop=winWidth>breakpoint?topOffset:smallTopOffset;thisUnits=winWidth>breakpoint?offsetUnits:smallOffsetUnits;if(thisUnits==="%")thisTop=convertToPercent(thisTop);if(init){lastPos=$(window).scrollTop;if(spacer.offset().top<thisTop){stack.addClass('pin-fixed').removeClass('pin-static')}
else{stack.removeClass('pin-fixed').addClass('pin-static')}}triggerTop=spacer.offset().top-thisTop;}
$(window).resize(function(){resizeElement();calcOffset(breakpoint,true);hasScrolled();});function isTouchDevice(){return true==("ontouchstart"in window||window.DocumentTouch&&document instanceof DocumentTouch)}});

	return stack;
})(stacks.stacks_in_4354_page0);


// Javascript for stacks_in_4394_page0
// ---------------------------------------------------------------------

// Each stack has its own object with its own namespace.  The name of
// that object is the same as the stack's id.
stacks.stacks_in_4394_page0 = {};

// A closure is defined and assigned to the stack's object.  The object
// is also passed in as 'stack' which gives you a shorthand for referring
// to this object from elsewhere.
stacks.stacks_in_4394_page0 = (function(stack) {

	// When jQuery is used it will be available as $ and jQuery but only
	// inside the closure.
	var jQuery = stacks.jQuery;
	var $ = jQuery;
	
 $(window).load(function(){var stack=$('#stacks_in_4394_page0 .pin-it'),wrapper=$('#stacks_in_4394_page0'),spacer=$('#stacks_in_4394_page0 .pin-spacer'),didScroll,lastPos=0,downTolerance=100,upTolerance=100,navbarHeight=stack.outerHeight(),topOffset=550,offsetUnits='px',smallOffsetUnits=true===true?'px':'px',breakpoint=645,smallTopOffset=true===true?-9999:550,smallTopOffset=false===true?-9999:smallTopOffset,triggerTop=stack.offset().top-topOffset;spacer.css('height',0);calcOffset(breakpoint,true);resizeElement();if(isTouchDevice()===true){stack.addClass('ani-slide')}else{stack.addClass('ani-none')}stack.addClass('pin-static');$(window).scroll(function(event){shouldAnimate($(this).scrollTop());didScroll=true});setInterval(function(){if(didScroll){hasScrolled();didScroll=false;}},10);function hasScrolled(){var sup=$(window).scrollTop();if(sup>triggerTop&&stack.hasClass('pin-static')){toggleSpacer(true);stack.removeClass('pin-static').addClass('pin-fixed');wrapper.addClass('pin-fixed');lastPos=sup;}
if(sup<triggerTop&&stack.hasClass('pin-fixed')){toggleSpacer(false);stack.removeClass('pin-fixed').addClass("pin-static");wrapper.removeClass('pin-fixed')}if(stack.hasClass('pin-fixed')){if(sup>(lastPos+downTolerance)){stack.removeClass('slide-down').addClass('slide-up');lastPos=sup;}
if((sup<(lastPos-upTolerance))&&(sup+$(window).height()<$(document).height())){stack.removeClass('slide-up').addClass('slide-down');lastPos=sup;}}}
function shouldAnimate(yPos){if(yPos<triggerTop){stack.removeClass('animate').removeClass('slide-up').removeClass('slide-down')}else{stack.addClass('animate')}}
function toggleSpacer(fix){if(fix==true){spacer.css('height',stack.height());}else
{spacer.css('height',0);}}
function resizeElement(){stack.css('width',spacer.outerWidth(true));}
function convertToPercent(percentValue){var absBottom;return((percentValue/100)*$(window).height());}
function calcOffset(breakpoint,init){var thisTop,thisUnits,winWidth=$(window).width();thisTop=winWidth>breakpoint?topOffset:smallTopOffset;thisUnits=winWidth>breakpoint?offsetUnits:smallOffsetUnits;if(thisUnits==="%")thisTop=convertToPercent(thisTop);if(init){lastPos=$(window).scrollTop;if(spacer.offset().top<thisTop){stack.addClass('pin-fixed').removeClass('pin-static')}
else{stack.removeClass('pin-fixed').addClass('pin-static')}}triggerTop=spacer.offset().top-thisTop;}
$(window).resize(function(){resizeElement();calcOffset(breakpoint,true);hasScrolled();});function isTouchDevice(){return true==("ontouchstart"in window||window.DocumentTouch&&document instanceof DocumentTouch)}});

	return stack;
})(stacks.stacks_in_4394_page0);


// Javascript for stacks_in_4446_page0
// ---------------------------------------------------------------------

// Each stack has its own object with its own namespace.  The name of
// that object is the same as the stack's id.
stacks.stacks_in_4446_page0 = {};

// A closure is defined and assigned to the stack's object.  The object
// is also passed in as 'stack' which gives you a shorthand for referring
// to this object from elsewhere.
stacks.stacks_in_4446_page0 = (function(stack) {

	// When jQuery is used it will be available as $ and jQuery but only
	// inside the closure.
	var jQuery = stacks.jQuery;
	var $ = jQuery;
	
 $(window).load(function(){var stack=$('#stacks_in_4446_page0 .pin-it'),wrapper=$('#stacks_in_4446_page0'),spacer=$('#stacks_in_4446_page0 .pin-spacer'),didScroll,lastPos=0,downTolerance=100,upTolerance=100,navbarHeight=stack.outerHeight(),topOffset=0,offsetUnits='px',smallOffsetUnits=true===true?'px':'px',breakpoint=645,smallTopOffset=true===true?-9999:0,smallTopOffset=false===true?-9999:smallTopOffset,triggerTop=stack.offset().top-topOffset;spacer.css('height',0);calcOffset(breakpoint,true);resizeElement();stack.addClass('pin-static');$(window).scroll(function(event){shouldAnimate($(this).scrollTop());didScroll=true});setInterval(function(){if(didScroll){hasScrolled();didScroll=false;}},10);function hasScrolled(){var sup=$(window).scrollTop();if(sup>triggerTop&&stack.hasClass('pin-static')){toggleSpacer(true);stack.removeClass('pin-static').addClass('pin-fixed');wrapper.addClass('pin-fixed');lastPos=sup;}
if(sup<triggerTop&&stack.hasClass('pin-fixed')){toggleSpacer(false);stack.removeClass('pin-fixed').addClass("pin-static");wrapper.removeClass('pin-fixed')}if(stack.hasClass('pin-fixed')){if(sup>(lastPos+downTolerance)){stack.removeClass('slide-down').addClass('slide-up');lastPos=sup;}
if((sup<(lastPos-upTolerance))&&(sup+$(window).height()<$(document).height())){stack.removeClass('slide-up').addClass('slide-down');lastPos=sup;}}}
function shouldAnimate(yPos){if(yPos<triggerTop){stack.removeClass('animate').removeClass('slide-up').removeClass('slide-down')}else{stack.addClass('animate')}}
function toggleSpacer(fix){if(fix==true){spacer.css('height',stack.height());}else
{spacer.css('height',0);}}
function resizeElement(){stack.css('width',spacer.outerWidth(true));}
function convertToPercent(percentValue){var absBottom;return((percentValue/100)*$(window).height());}
function calcOffset(breakpoint,init){var thisTop,thisUnits,winWidth=$(window).width();thisTop=winWidth>breakpoint?topOffset:smallTopOffset;thisUnits=winWidth>breakpoint?offsetUnits:smallOffsetUnits;if(thisUnits==="%")thisTop=convertToPercent(thisTop);if(init){lastPos=$(window).scrollTop;if(spacer.offset().top<thisTop){stack.addClass('pin-fixed').removeClass('pin-static')}
else{stack.removeClass('pin-fixed').addClass('pin-static')}}triggerTop=spacer.offset().top-thisTop;}
$(window).resize(function(){resizeElement();calcOffset(breakpoint,true);hasScrolled();});function isTouchDevice(){return true==("ontouchstart"in window||window.DocumentTouch&&document instanceof DocumentTouch)}});

	return stack;
})(stacks.stacks_in_4446_page0);


// Javascript for stacks_in_4448_page0
// ---------------------------------------------------------------------

// Each stack has its own object with its own namespace.  The name of
// that object is the same as the stack's id.
stacks.stacks_in_4448_page0 = {};

// A closure is defined and assigned to the stack's object.  The object
// is also passed in as 'stack' which gives you a shorthand for referring
// to this object from elsewhere.
stacks.stacks_in_4448_page0 = (function(stack) {

	// When jQuery is used it will be available as $ and jQuery but only
	// inside the closure.
	var jQuery = stacks.jQuery;
	var $ = jQuery;
	
 $(document).ready(function($){var minFont=12+'px',maxFont=200+'px';$('#stacks_in_4448_page0 .headPlus').fitText(2.85,{minFontSize:minFont,maxFontSize:maxFont});});

	return stack;
})(stacks.stacks_in_4448_page0);


// Javascript for stacks_in_8127_page0
// ---------------------------------------------------------------------

// Each stack has its own object with its own namespace.  The name of
// that object is the same as the stack's id.
stacks.stacks_in_8127_page0 = {};

// A closure is defined and assigned to the stack's object.  The object
// is also passed in as 'stack' which gives you a shorthand for referring
// to this object from elsewhere.
stacks.stacks_in_8127_page0 = (function(stack) {

	// When jQuery is used it will be available as $ and jQuery but only
	// inside the closure.
	var jQuery = stacks.jQuery;
	var $ = jQuery;
	
$(document).ready(function($){});
	return stack;
})(stacks.stacks_in_8127_page0);


// Javascript for stacks_in_8129_page0
// ---------------------------------------------------------------------

// Each stack has its own object with its own namespace.  The name of
// that object is the same as the stack's id.
stacks.stacks_in_8129_page0 = {};

// A closure is defined and assigned to the stack's object.  The object
// is also passed in as 'stack' which gives you a shorthand for referring
// to this object from elsewhere.
stacks.stacks_in_8129_page0 = (function(stack) {

	// When jQuery is used it will be available as $ and jQuery but only
	// inside the closure.
	var jQuery = stacks.jQuery;
	var $ = jQuery;
	

(function(c){c.extend(c.fn,{validate:function(a){if(this.length){var b=c.data(this[0],"validator");if(b)return b;this.attr("novalidate","novalidate");b=new c.validator(a,this[0]);c.data(this[0],"validator",b);if(b.settings.onsubmit){a=this.find("input, button");a.filter(".cancel").click(function(){b.cancelSubmit=true});b.settings.submitHandler&&a.filter(":submit").click(function(){b.submitButton=this});this.submit(function(d){function e(){if(b.settings.submitHandler){if(b.submitButton)var f=c("<input type='hidden'/>").attr("name",b.submitButton.name).val(b.submitButton.value).appendTo(b.currentForm);b.settings.submitHandler.call(b,b.currentForm);b.submitButton&&f.remove();return false}return true}b.settings.debug&&d.preventDefault();if(b.cancelSubmit){b.cancelSubmit=false;return e()}if(b.form()){if(b.pendingRequest){b.formSubmitted=true;return false}return e()}else{b.focusInvalid();return false}})}return b}else a&&a.debug&&window.console&&console.warn("nothing selected, can't validate, returning nothing")},valid:function(){if(c(this[0]).is("form"))return this.validate().form();else{var a=true,b=c(this[0].form).validate();this.each(function(){a&=b.element(this)});return a}},removeAttrs:function(a){var b={},d=this;c.each(a.split(/\s/),function(e,f){b[f]=d.attr(f);d.removeAttr(f)});return b},rules:function(a,b){var d=this[0];if(a){var e=c.data(d.form,"validator").settings,f=e.rules,g=c.validator.staticRules(d);switch(a){case"add":c.extend(g,c.validator.normalizeRule(b));f[d.name]=g;if(b.messages)e.messages[d.name]=c.extend(e.messages[d.name],b.messages);break;case"remove":if(!b){delete f[d.name];return g}var h={};c.each(b.split(/\s/),function(j,i){h[i]=g[i];delete g[i]});return h}}d=c.validator.normalizeRules(c.extend({},c.validator.metadataRules(d),c.validator.classRules(d),c.validator.attributeRules(d),c.validator.staticRules(d)),d);if(d.required){e=d.required;delete d.required;d=c.extend({required:e},d)}return d}});c.extend(c.expr[":"],{blank:function(a){return!c.trim(""+a.value)},filled:function(a){return!!c.trim(""+a.value)},unchecked:function(a){return!a.checked}});c.validator=function(a,b){this.settings=c.extend(true,{},c.validator.defaults,a);this.currentForm=b;this.init()};c.validator.format=function(a,b){if(arguments.length==1)return function(){var d=c.makeArray(arguments);d.unshift(a);return c.validator.format.apply(this,d)};if(arguments.length>2&&b.constructor!=Array)b=c.makeArray(arguments).slice(1);if(b.constructor!=Array)b=[b];c.each(b,function(d,e){a=a.replace(RegExp("\\{"+d+"\\}","g"),e)});return a};c.extend(c.validator,{defaults:{messages:{},groups:{},rules:{},errorClass:"error",validClass:"valid",errorElement:"label",focusInvalid:true,errorContainer:c([]),errorLabelContainer:c([]),onsubmit:true,ignore:":hidden",ignoreTitle:false,onfocusin:function(a){this.lastActive=a;if(this.settings.focusCleanup&&!this.blockFocusCleanup){this.settings.unhighlight&&this.settings.unhighlight.call(this,a,this.settings.errorClass,this.settings.validClass);this.addWrapper(this.errorsFor(a)).hide()}},onfocusout:function(a){if(!this.checkable(a)&&(a.name in this.submitted||!this.optional(a)))this.element(a)},onkeyup:function(a){if(a.name in this.submitted||a==this.lastElement)this.element(a)},onclick:function(a){if(a.name in this.submitted)this.element(a);else a.parentNode.name in this.submitted&&this.element(a.parentNode)},highlight:function(a,b,d){a.type==="radio"?this.findByName(a.name).addClass(b).removeClass(d):c(a).addClass(b).removeClass(d)},unhighlight:function(a,b,d){a.type==="radio"?this.findByName(a.name).removeClass(b).addClass(d):c(a).removeClass(b).addClass(d)}},setDefaults:function(a){c.extend(c.validator.defaults,a)},messages:{required:"This field is required.",remote:"Please fix this field.",email:"Please enter a valid email address.",url:"Please enter a valid URL.",date:"Please enter a valid date.",dateISO:"Please enter a valid date (ISO).",number:"Please enter a valid number.",digits:"Please enter only digits.",creditcard:"Please enter a valid credit card number.",equalTo:"Please enter the same value again.",accept:"Please enter a value with a valid extension.",maxlength:c.validator.format("Please enter no more than {0} characters."),minlength:c.validator.format("Please enter at least {0} characters."),rangelength:c.validator.format("Please enter a value between {0} and {1} characters long."),range:c.validator.format("Please enter a value between {0} and {1}."),max:c.validator.format("Please enter a value less than or equal to {0}."),min:c.validator.format("Please enter a value greater than or equal to {0}.")},autoCreateRanges:false,prototype:{init:function(){function a(e){var f=c.data(this[0].form,"validator"),g="on"+e.type.replace(/^validate/,"");f.settings[g]&&f.settings[g].call(f,this[0],e)}this.labelContainer=c(this.settings.errorLabelContainer);this.errorContext=this.labelContainer.length&&this.labelContainer||c(this.currentForm);this.containers=c(this.settings.errorContainer).add(this.settings.errorLabelContainer);this.submitted={};this.valueCache={};this.pendingRequest=0;this.pending={};this.invalid={};this.reset();var b=this.groups={};c.each(this.settings.groups,function(e,f){c.each(f.split(/\s/),function(g,h){b[h]=e})});var d=this.settings.rules;c.each(d,function(e,f){d[e]=c.validator.normalizeRule(f)});c(this.currentForm).validateDelegate("[type='text'], [type='password'], [type='file'], select, textarea, [type='number'], [type='search'] ,[type='tel'], [type='url'], [type='email'], [type='datetime'], [type='date'], [type='month'], [type='week'], [type='time'], [type='datetime-local'], [type='range'], [type='color'] ","focusin focusout keyup",a).validateDelegate("[type='radio'], [type='checkbox'], select, option","click",a);this.settings.invalidHandler&&c(this.currentForm).bind("invalid-form.validate",this.settings.invalidHandler)},form:function(){this.checkForm();c.extend(this.submitted,this.errorMap);this.invalid=c.extend({},this.errorMap);this.valid()||c(this.currentForm).triggerHandler("invalid-form",[this]);this.showErrors();return this.valid()},checkForm:function(){this.prepareForm();for(var a=0,b=this.currentElements=this.elements();b[a];a++)this.check(b[a]);return this.valid()},element:function(a){this.lastElement=a=this.validationTargetFor(this.clean(a));this.prepareElement(a);this.currentElements=c(a);var b=this.check(a);if(b)delete this.invalid[a.name];else this.invalid[a.name]=true;if(!this.numberOfInvalids())this.toHide=this.toHide.add(this.containers);this.showErrors();return b},showErrors:function(a){if(a){c.extend(this.errorMap,a);this.errorList=[];for(var b in a)this.errorList.push({message:a[b],element:this.findByName(b)[0]});this.successList=c.grep(this.successList,function(d){return!(d.name in a)})}this.settings.showErrors?this.settings.showErrors.call(this,this.errorMap,this.errorList):this.defaultShowErrors()},resetForm:function(){c.fn.resetForm&&c(this.currentForm).resetForm();this.submitted={};this.lastElement=null;this.prepareForm();this.hideErrors();this.elements().removeClass(this.settings.errorClass)},numberOfInvalids:function(){return this.objectLength(this.invalid)},objectLength:function(a){var b=0,d;for(d in a)b++;return b},hideErrors:function(){this.addWrapper(this.toHide).hide()},valid:function(){return this.size()==0},size:function(){return this.errorList.length},focusInvalid:function(){if(this.settings.focusInvalid)try{c(this.findLastActive()||this.errorList.length&&this.errorList[0].element||[]).filter(":visible").focus().trigger("focusin")}catch(a){}},findLastActive:function(){var a=this.lastActive;return a&&c.grep(this.errorList,function(b){return b.element.name==a.name}).length==1&&a},elements:function(){var a=this,b={};return c(this.currentForm).find("input, select, textarea").not(":submit, :reset, :image, [disabled]").not(this.settings.ignore).filter(function(){!this.name&&a.settings.debug&&window.console&&console.error("%o has no name assigned",this);if(this.name in b||!a.objectLength(c(this).rules()))return false;return b[this.name]=true})},clean:function(a){return c(a)[0]},errors:function(){return c(this.settings.errorElement+"."+this.settings.errorClass,this.errorContext)},reset:function(){this.successList=[];this.errorList=[];this.errorMap={};this.toShow=c([]);this.toHide=c([]);this.currentElements=c([])},prepareForm:function(){this.reset();this.toHide=this.errors().add(this.containers)},prepareElement:function(a){this.reset();this.toHide=this.errorsFor(a)},check:function(a){a=this.validationTargetFor(this.clean(a));var b=c(a).rules(),d=false,e;for(e in b){var f={method:e,parameters:b[e]};try{var g=c.validator.methods[e].call(this,a.value.replace(/\r/g,""),a,f.parameters);if(g=="dependency-mismatch")d=true;else{d=false;if(g=="pending"){this.toHide=this.toHide.not(this.errorsFor(a));return}if(!g){this.formatAndAdd(a,f);return false}}}catch(h){this.settings.debug&&window.console&&console.log("exception occured when checking element "+
a.id+", check the '"+f.method+"' method",h);throw h;}}if(!d){this.objectLength(b)&&this.successList.push(a);return true}},customMetaMessage:function(a,b){if(c.metadata){var d=this.settings.meta?c(a).metadata()[this.settings.meta]:c(a).metadata();return d&&d.messages&&d.messages[b]}},customMessage:function(a,b){var d=this.settings.messages[a];return d&&(d.constructor==String?d:d[b])},findDefined:function(){for(var a=0;a<arguments.length;a++)if(arguments[a]!==undefined)return arguments[a]},defaultMessage:function(a,b){return this.findDefined(this.customMessage(a.name,b),this.customMetaMessage(a,b),!this.settings.ignoreTitle&&a.title||undefined,c.validator.messages[b],"<strong>Warning: No message defined for "+a.name+"</strong>")},formatAndAdd:function(a,b){var d=this.defaultMessage(a,b.method),e=/\$?\{(\d+)\}/g;if(typeof d=="function")d=d.call(this,b.parameters,a);else if(e.test(d))d=jQuery.format(d.replace(e,"{$1}"),b.parameters);this.errorList.push({message:d,element:a});this.errorMap[a.name]=d;this.submitted[a.name]=d},addWrapper:function(a){if(this.settings.wrapper)a=a.add(a.parent(this.settings.wrapper));return a},defaultShowErrors:function(){for(var a=0;this.errorList[a];a++){var b=this.errorList[a];this.settings.highlight&&this.settings.highlight.call(this,b.element,this.settings.errorClass,this.settings.validClass);this.showLabel(b.element,b.message)}if(this.errorList.length)this.toShow=this.toShow.add(this.containers);if(this.settings.success)for(a=0;this.successList[a];a++)this.showLabel(this.successList[a]);if(this.settings.unhighlight){a=0;for(b=this.validElements();b[a];a++)this.settings.unhighlight.call(this,b[a],this.settings.errorClass,this.settings.validClass)}this.toHide=this.toHide.not(this.toShow);this.hideErrors();this.addWrapper(this.toShow).show()},validElements:function(){return this.currentElements.not(this.invalidElements())},invalidElements:function(){return c(this.errorList).map(function(){return this.element})},showLabel:function(a,b){var d=this.errorsFor(a);if(d.length){d.removeClass(this.settings.validClass).addClass(this.settings.errorClass);d.attr("generated")&&d.html(b)}else{d=c("<"+this.settings.errorElement+"/>").attr({"for":this.idOrName(a),generated:true}).addClass(this.settings.errorClass).html(b||"");if(this.settings.wrapper)d=d.hide().show().wrap("<"+this.settings.wrapper+"/>").parent();this.labelContainer.append(d).length||(this.settings.errorPlacement?this.settings.errorPlacement(d,c(a)):d.insertAfter(a))}if(!b&&this.settings.success){d.text("");typeof this.settings.success=="string"?d.addClass(this.settings.success):this.settings.success(d)}this.toShow=this.toShow.add(d)},errorsFor:function(a){var b=this.idOrName(a);return this.errors().filter(function(){return c(this).attr("for")==b})},idOrName:function(a){return this.groups[a.name]||(this.checkable(a)?a.name:a.id||a.name)},validationTargetFor:function(a){if(this.checkable(a))a=this.findByName(a.name).not(this.settings.ignore)[0];return a},checkable:function(a){return/radio|checkbox/i.test(a.type)},findByName:function(a){var b=this.currentForm;return c(document.getElementsByName(a)).map(function(d,e){return e.form==b&&e.name==a&&e||null})},getLength:function(a,b){switch(b.nodeName.toLowerCase()){case"select":return c("option:selected",b).length;case"input":if(this.checkable(b))return this.findByName(b.name).filter(":checked").length}return a.length},depend:function(a,b){return this.dependTypes[typeof a]?this.dependTypes[typeof a](a,b):true},dependTypes:{"boolean":function(a){return a},string:function(a,b){return!!c(a,b.form).length},"function":function(a,b){return a(b)}},optional:function(a){return!c.validator.methods.required.call(this,c.trim(a.value),a)&&"dependency-mismatch"},startRequest:function(a){if(!this.pending[a.name]){this.pendingRequest++;this.pending[a.name]=true}},stopRequest:function(a,b){this.pendingRequest--;if(this.pendingRequest<0)this.pendingRequest=0;delete this.pending[a.name];if(b&&this.pendingRequest==0&&this.formSubmitted&&this.form()){c(this.currentForm).submit();this.formSubmitted=false}else if(!b&&this.pendingRequest==0&&this.formSubmitted){c(this.currentForm).triggerHandler("invalid-form",[this]);this.formSubmitted=false}},previousValue:function(a){return c.data(a,"previousValue")||c.data(a,"previousValue",{old:null,valid:true,message:this.defaultMessage(a,"remote")})}},classRuleSettings:{required:{required:true},email:{email:true},url:{url:true},date:{date:true},dateISO:{dateISO:true},dateDE:{dateDE:true},number:{number:true},numberDE:{numberDE:true},digits:{digits:true},creditcard:{creditcard:true}},addClassRules:function(a,b){a.constructor==String?this.classRuleSettings[a]=b:c.extend(this.classRuleSettings,a)},classRules:function(a){var b={};(a=c(a).attr("class"))&&c.each(a.split(" "),function(){this in c.validator.classRuleSettings&&c.extend(b,c.validator.classRuleSettings[this])});return b},attributeRules:function(a){var b={};a=c(a);for(var d in c.validator.methods){var e;if(e=d==="required"&&typeof c.fn.prop==="function"?a.prop(d):a.attr(d))b[d]=e;else if(a[0].getAttribute("type")===d)b[d]=true}b.maxlength&&/-1|2147483647|524288/.test(b.maxlength)&&delete b.maxlength;return b},metadataRules:function(a){if(!c.metadata)return{};var b=c.data(a.form,"validator").settings.meta;return b?c(a).metadata()[b]:c(a).metadata()},staticRules:function(a){var b={},d=c.data(a.form,"validator");if(d.settings.rules)b=c.validator.normalizeRule(d.settings.rules[a.name])||{};return b},normalizeRules:function(a,b){c.each(a,function(d,e){if(e===false)delete a[d];else if(e.param||e.depends){var f=true;switch(typeof e.depends){case"string":f=!!c(e.depends,b.form).length;break;case"function":f=e.depends.call(b,b)}if(f)a[d]=e.param!==undefined?e.param:true;else delete a[d]}});c.each(a,function(d,e){a[d]=c.isFunction(e)?e(b):e});c.each(["minlength","maxlength","min","max"],function(){if(a[this])a[this]=Number(a[this])});c.each(["rangelength","range"],function(){if(a[this])a[this]=[Number(a[this][0]),Number(a[this][1])]});if(c.validator.autoCreateRanges){if(a.min&&a.max){a.range=[a.min,a.max];delete a.min;delete a.max}if(a.minlength&&a.maxlength){a.rangelength=[a.minlength,a.maxlength];delete a.minlength;delete a.maxlength}}a.messages&&delete a.messages;return a},normalizeRule:function(a){if(typeof a=="string"){var b={};c.each(a.split(/\s/),function(){b[this]=true});a=b}return a},addMethod:function(a,b,d){c.validator.methods[a]=b;c.validator.messages[a]=d!=undefined?d:c.validator.messages[a];b.length<3&&c.validator.addClassRules(a,c.validator.normalizeRule(a))},methods:{required:function(a,b,d){if(!this.depend(d,b))return"dependency-mismatch";switch(b.nodeName.toLowerCase()){case"select":return(a=c(b).val())&&a.length>0;case"input":if(this.checkable(b))return this.getLength(a,b)>0;default:return c.trim(a).length>0}},remote:function(a,b,d){if(this.optional(b))return"dependency-mismatch";var e=this.previousValue(b);this.settings.messages[b.name]||(this.settings.messages[b.name]={});e.originalMessage=this.settings.messages[b.name].remote;this.settings.messages[b.name].remote=e.message;d=typeof d=="string"&&{url:d}||d;if(this.pending[b.name])return"pending";if(e.old===a)return e.valid;e.old=a;var f=this;this.startRequest(b);var g={};g[b.name]=a;c.ajax(c.extend(true,{url:d,mode:"abort",port:"validate"+b.name,dataType:"json",data:g,success:function(h){f.settings.messages[b.name].remote=e.originalMessage;var j=h===true;if(j){var i=f.formSubmitted;f.prepareElement(b);f.formSubmitted=i;f.successList.push(b);f.showErrors()}else{i={};h=h||f.defaultMessage(b,"remote");i[b.name]=e.message=c.isFunction(h)?h(a):h;f.showErrors(i)}e.valid=j;f.stopRequest(b,j)}},d));return"pending"},minlength:function(a,b,d){return this.optional(b)||this.getLength(c.trim(a),b)>=d},maxlength:function(a,b,d){return this.optional(b)||this.getLength(c.trim(a),b)<=d},rangelength:function(a,b,d){a=this.getLength(c.trim(a),b);return this.optional(b)||a>=d[0]&&a<=d[1]},min:function(a,b,d){return this.optional(b)||a>=d},max:function(a,b,d){return this.optional(b)||a<=d},range:function(a,b,d){return this.optional(b)||a>=d[0]&&a<=d[1]},email:function(a,b){return this.optional(b)||/^((([a-z]|\d|[!#\$%&'\*\+\-\/=\?\^_`{\|}~]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])+(\.([a-z]|\d|[!#\$%&'\*\+\-\/=\?\^_`{\|}~]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])+)*)|((\x22)((((\x20|\x09)*(\x0d\x0a))?(\x20|\x09)+)?(([\x01-\x08\x0b\x0c\x0e-\x1f\x7f]|\x21|[\x23-\x5b]|[\x5d-\x7e]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(\\([\x01-\x09\x0b\x0c\x0d-\x7f]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]))))*(((\x20|\x09)*(\x0d\x0a))?(\x20|\x09)+)?(\x22)))@((([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])*([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])))\.)+(([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])*([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])))$/i.test(a)},url:function(a,b){return this.optional(b)||/^(https?|ftp):\/\/(((([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(%[\da-f]{2})|[!\$&'\(\)\*\+,;=]|:)*@)?(((\d|[1-9]\d|1\d\d|2[0-4]\d|25[0-5])\.(\d|[1-9]\d|1\d\d|2[0-4]\d|25[0-5])\.(\d|[1-9]\d|1\d\d|2[0-4]\d|25[0-5])\.(\d|[1-9]\d|1\d\d|2[0-4]\d|25[0-5]))|((([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])*([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])))\.)+(([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])*([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])))\.?)(:\d*)?)(\/((([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(%[\da-f]{2})|[!\$&'\(\)\*\+,;=]|:|@)+(\/(([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(%[\da-f]{2})|[!\$&'\(\)\*\+,;=]|:|@)*)*)?)?(\?((([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(%[\da-f]{2})|[!\$&'\(\)\*\+,;=]|:|@)|[\uE000-\uF8FF]|\/|\?)*)?(\#((([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(%[\da-f]{2})|[!\$&'\(\)\*\+,;=]|:|@)|\/|\?)*)?$/i.test(a)},date:function(a,b){return this.optional(b)||!/Invalid|NaN/.test(new Date(a))},dateISO:function(a,b){return this.optional(b)||/^\d{4}[\/-]\d{1,2}[\/-]\d{1,2}$/.test(a)},number:function(a,b){return this.optional(b)||/^-?(?:\d+|\d{1,3}(?:,\d{3})+)(?:\.\d+)?$/.test(a)},digits:function(a,b){return this.optional(b)||/^\d+$/.test(a)},creditcard:function(a,b){if(this.optional(b))return"dependency-mismatch";if(/[^0-9 -]+/.test(a))return false;var d=0,e=0,f=false;a=a.replace(/\D/g,"");for(var g=a.length-1;g>=0;g--){e=a.charAt(g);e=parseInt(e,10);if(f)if((e*=2)>9)e-=9;d+=e;f=!f}return d%10==0},accept:function(a,b,d){d=typeof d=="string"?d.replace(/,/g,"|"):"png|jpe?g|gif";return this.optional(b)||a.match(RegExp(".("+d+")$","i"))},equalTo:function(a,b,d){d=c(d).unbind(".validate-equalTo").bind("blur.validate-equalTo",function(){c(b).valid()});return a==d.val()}}});c.format=c.validator.format})(jQuery);(function(c){var a={};if(c.ajaxPrefilter)c.ajaxPrefilter(function(d,e,f){e=d.port;if(d.mode=="abort"){a[e]&&a[e].abort();a[e]=f}});else{var b=c.ajax;c.ajax=function(d){var e=("port"in d?d:c.ajaxSettings).port;if(("mode"in d?d:c.ajaxSettings).mode=="abort"){a[e]&&a[e].abort();return a[e]=b.apply(this,arguments)}return b.apply(this,arguments)}}})(jQuery);(function(c){!jQuery.event.special.focusin&&!jQuery.event.special.focusout&&document.addEventListener&&c.each({focus:"focusin",blur:"focusout"},function(a,b){function d(e){e=c.event.fix(e);e.type=b;return c.event.handle.call(this,e)}c.event.special[b]={setup:function(){this.addEventListener(a,d,true)},teardown:function(){this.removeEventListener(a,d,true)},handler:function(e){arguments[0]=c.event.fix(e);arguments[0].type=b;return c.event.handle.apply(this,arguments)}}});c.extend(c.fn,{validateDelegate:function(a,b,d){return this.bind(b,function(e){var f=c(e.target);if(f.is(a))return d.apply(f,arguments)})}})})(jQuery);(function($){$.InFieldLabels=function(label,field,options){var base=this;base.$label=$(label);base.$field=$(field);base.$label.data("InFieldLabels",base);base.showing=true;base.init=function(){base.options=$.extend({},$.InFieldLabels.defaultOptions,options);base.$label.css('position','absolute');var fieldPosition=base.$field.position();base.$label.css({'left':fieldPosition.left,'top':fieldPosition.top}).addClass(base.options.labelClass);if(base.$field.val()!=""){base.$label.hide();base.showing=false;};base.$field.focus(function(){base.fadeOnFocus();}).blur(function(){base.checkForEmpty(true);}).bind('keydown.infieldlabel',function(e){base.hideOnChange(e);}).change(function(e){base.checkForEmpty();}).bind('onPropertyChange',function(){base.checkForEmpty();});};base.fadeOnFocus=function(){if(base.showing){base.setOpacity(base.options.fadeOpacity);};};base.setOpacity=function(opacity){base.$label.stop().animate({opacity:opacity},base.options.fadeDuration);base.showing=(opacity>0.0);};base.checkForEmpty=function(blur){if(base.$field.val()==""){base.prepForShow();base.setOpacity(blur?1.0:base.options.fadeOpacity);}else{base.setOpacity(0.0);};};base.prepForShow=function(e){if(!base.showing){base.$label.css({opacity:0.0}).show();base.$field.bind('keydown.infieldlabel',function(e){base.hideOnChange(e);});};};base.hideOnChange=function(e){if((e.keyCode==16)||(e.keyCode==9))return;if(base.showing){base.$label.hide();base.showing=false;};base.$field.unbind('keydown.infieldlabel');};base.init();};$.InFieldLabels.defaultOptions={fadeOpacity:0.5,fadeDuration:300,labelClass:'infield'};$.fn.inFieldLabels=function(options){return this.each(function(){var for_attr=$(this).attr('for');if(!for_attr)return;var $field=$("input#"+for_attr+"[type='text'],"+"input#"+for_attr+"[type='password'],"+"input#"+for_attr+"[type='email'],"+"textarea#"+for_attr);if($field.length==0)return;(new $.InFieldLabels(this,$field[0],options));});};})(jQuery);$(document).ready(function(){$("#stacks_in_8129_page0 label").inFieldLabels({labelClass:'label_text',fadeOpacity:0,fadeDuration:200});$('#stacks_in_8129_page0 .submit_button').click(function(e){e.preventDefault();$('#form_stacks_in_8129_page0').submit();});function change_button_state(){$('#stacks_in_8129_page0 .sweet_button').addClass('clicked');if("="!="E"){$('#stacks_in_8129_page0 .button_icon').html("=");}if("Thanks!"!="Sign Up"){$('#stacks_in_8129_page0 .button_label').html("Thanks!");}}
$("#form_stacks_in_8129_page0").validate({errorPlacement:function(error,element){$('#form_stacks_in_8129_page0').append(error);element.parent().addClass('error');},submitHandler:function(form){var fields={first_name:$('#first_name_stacks_in_8129_page0').val(),last_name:$('#last_name_stacks_in_8129_page0').val(),custom:$('#custom_stacks_in_8129_page0').val(),customtwo:$('#customtwo_stacks_in_8129_page0').val(),email:$('#email_stacks_in_8129_page0').val(),action:$('#action_stacks_in_8129_page0').attr('value')};if(fields['email'].substr((fields['email'].length-10),fields['email'].length)=='export.csv'){window.location.href=window.location.href+'?action=export&email='+fields['email'];}
else{$.post(location.href,fields,function(){change_button_state();$('#first_name_stacks_in_8129_page0').val('');$('#last_name_stacks_in_8129_page0').val('');$('#custom_stacks_in_8129_page0').val('');$('#customtwo_stacks_in_8129_page0').val('');$('#email_stacks_in_8129_page0').val('');$('#human_stacks_in_8129_page0').val('');});}}});});

	return stack;
})(stacks.stacks_in_8129_page0);


// Javascript for stacks_in_8132_page0
// ---------------------------------------------------------------------

// Each stack has its own object with its own namespace.  The name of
// that object is the same as the stack's id.
stacks.stacks_in_8132_page0 = {};

// A closure is defined and assigned to the stack's object.  The object
// is also passed in as 'stack' which gives you a shorthand for referring
// to this object from elsewhere.
stacks.stacks_in_8132_page0 = (function(stack) {

	// When jQuery is used it will be available as $ and jQuery but only
	// inside the closure.
	var jQuery = stacks.jQuery;
	var $ = jQuery;
	
 $(document).ready(function($){});

	return stack;
})(stacks.stacks_in_8132_page0);


// Javascript for stacks_in_8137_page0
// ---------------------------------------------------------------------

// Each stack has its own object with its own namespace.  The name of
// that object is the same as the stack's id.
stacks.stacks_in_8137_page0 = {};

// A closure is defined and assigned to the stack's object.  The object
// is also passed in as 'stack' which gives you a shorthand for referring
// to this object from elsewhere.
stacks.stacks_in_8137_page0 = (function(stack) {

	// When jQuery is used it will be available as $ and jQuery but only
	// inside the closure.
	var jQuery = stacks.jQuery;
	var $ = jQuery;
	
$(document).ready(function($){});
	return stack;
})(stacks.stacks_in_8137_page0);


// Javascript for stacks_in_8145_page0
// ---------------------------------------------------------------------

// Each stack has its own object with its own namespace.  The name of
// that object is the same as the stack's id.
stacks.stacks_in_8145_page0 = {};

// A closure is defined and assigned to the stack's object.  The object
// is also passed in as 'stack' which gives you a shorthand for referring
// to this object from elsewhere.
stacks.stacks_in_8145_page0 = (function(stack) {

	// When jQuery is used it will be available as $ and jQuery but only
	// inside the closure.
	var jQuery = stacks.jQuery;
	var $ = jQuery;
	
$(document).ready(function($){});
	return stack;
})(stacks.stacks_in_8145_page0);


// Javascript for stacks_in_8149_page0
// ---------------------------------------------------------------------

// Each stack has its own object with its own namespace.  The name of
// that object is the same as the stack's id.
stacks.stacks_in_8149_page0 = {};

// A closure is defined and assigned to the stack's object.  The object
// is also passed in as 'stack' which gives you a shorthand for referring
// to this object from elsewhere.
stacks.stacks_in_8149_page0 = (function(stack) {

	// When jQuery is used it will be available as $ and jQuery but only
	// inside the closure.
	var jQuery = stacks.jQuery;
	var $ = jQuery;
	
 $(document).ready(function($){});

	return stack;
})(stacks.stacks_in_8149_page0);


// Javascript for stacks_in_8154_page0
// ---------------------------------------------------------------------

// Each stack has its own object with its own namespace.  The name of
// that object is the same as the stack's id.
stacks.stacks_in_8154_page0 = {};

// A closure is defined and assigned to the stack's object.  The object
// is also passed in as 'stack' which gives you a shorthand for referring
// to this object from elsewhere.
stacks.stacks_in_8154_page0 = (function(stack) {

	// When jQuery is used it will be available as $ and jQuery but only
	// inside the closure.
	var jQuery = stacks.jQuery;
	var $ = jQuery;
	
$(document).ready(function($){});
	return stack;
})(stacks.stacks_in_8154_page0);


// Javascript for stacks_in_8162_page0
// ---------------------------------------------------------------------

// Each stack has its own object with its own namespace.  The name of
// that object is the same as the stack's id.
stacks.stacks_in_8162_page0 = {};

// A closure is defined and assigned to the stack's object.  The object
// is also passed in as 'stack' which gives you a shorthand for referring
// to this object from elsewhere.
stacks.stacks_in_8162_page0 = (function(stack) {

	// When jQuery is used it will be available as $ and jQuery but only
	// inside the closure.
	var jQuery = stacks.jQuery;
	var $ = jQuery;
	
$(document).ready(function($){});
	return stack;
})(stacks.stacks_in_8162_page0);


// Javascript for stacks_in_8166_page0
// ---------------------------------------------------------------------

// Each stack has its own object with its own namespace.  The name of
// that object is the same as the stack's id.
stacks.stacks_in_8166_page0 = {};

// A closure is defined and assigned to the stack's object.  The object
// is also passed in as 'stack' which gives you a shorthand for referring
// to this object from elsewhere.
stacks.stacks_in_8166_page0 = (function(stack) {

	// When jQuery is used it will be available as $ and jQuery but only
	// inside the closure.
	var jQuery = stacks.jQuery;
	var $ = jQuery;
	
 $(document).ready(function($){});

	return stack;
})(stacks.stacks_in_8166_page0);


// Javascript for stacks_in_8171_page0
// ---------------------------------------------------------------------

// Each stack has its own object with its own namespace.  The name of
// that object is the same as the stack's id.
stacks.stacks_in_8171_page0 = {};

// A closure is defined and assigned to the stack's object.  The object
// is also passed in as 'stack' which gives you a shorthand for referring
// to this object from elsewhere.
stacks.stacks_in_8171_page0 = (function(stack) {

	// When jQuery is used it will be available as $ and jQuery but only
	// inside the closure.
	var jQuery = stacks.jQuery;
	var $ = jQuery;
	
$(document).ready(function($){});
	return stack;
})(stacks.stacks_in_8171_page0);


// Javascript for stacks_in_8179_page0
// ---------------------------------------------------------------------

// Each stack has its own object with its own namespace.  The name of
// that object is the same as the stack's id.
stacks.stacks_in_8179_page0 = {};

// A closure is defined and assigned to the stack's object.  The object
// is also passed in as 'stack' which gives you a shorthand for referring
// to this object from elsewhere.
stacks.stacks_in_8179_page0 = (function(stack) {

	// When jQuery is used it will be available as $ and jQuery but only
	// inside the closure.
	var jQuery = stacks.jQuery;
	var $ = jQuery;
	
$(document).ready(function($){});
	return stack;
})(stacks.stacks_in_8179_page0);


// Javascript for stacks_in_8183_page0
// ---------------------------------------------------------------------

// Each stack has its own object with its own namespace.  The name of
// that object is the same as the stack's id.
stacks.stacks_in_8183_page0 = {};

// A closure is defined and assigned to the stack's object.  The object
// is also passed in as 'stack' which gives you a shorthand for referring
// to this object from elsewhere.
stacks.stacks_in_8183_page0 = (function(stack) {

	// When jQuery is used it will be available as $ and jQuery but only
	// inside the closure.
	var jQuery = stacks.jQuery;
	var $ = jQuery;
	
 $(document).ready(function($){});

	return stack;
})(stacks.stacks_in_8183_page0);


// Javascript for stacks_in_8188_page0
// ---------------------------------------------------------------------

// Each stack has its own object with its own namespace.  The name of
// that object is the same as the stack's id.
stacks.stacks_in_8188_page0 = {};

// A closure is defined and assigned to the stack's object.  The object
// is also passed in as 'stack' which gives you a shorthand for referring
// to this object from elsewhere.
stacks.stacks_in_8188_page0 = (function(stack) {

	// When jQuery is used it will be available as $ and jQuery but only
	// inside the closure.
	var jQuery = stacks.jQuery;
	var $ = jQuery;
	
$(document).ready(function($){});
	return stack;
})(stacks.stacks_in_8188_page0);


// Javascript for stacks_in_8190_page0
// ---------------------------------------------------------------------

// Each stack has its own object with its own namespace.  The name of
// that object is the same as the stack's id.
stacks.stacks_in_8190_page0 = {};

// A closure is defined and assigned to the stack's object.  The object
// is also passed in as 'stack' which gives you a shorthand for referring
// to this object from elsewhere.
stacks.stacks_in_8190_page0 = (function(stack) {

	// When jQuery is used it will be available as $ and jQuery but only
	// inside the closure.
	var jQuery = stacks.jQuery;
	var $ = jQuery;
	

(function(c){c.extend(c.fn,{validate:function(a){if(this.length){var b=c.data(this[0],"validator");if(b)return b;this.attr("novalidate","novalidate");b=new c.validator(a,this[0]);c.data(this[0],"validator",b);if(b.settings.onsubmit){a=this.find("input, button");a.filter(".cancel").click(function(){b.cancelSubmit=true});b.settings.submitHandler&&a.filter(":submit").click(function(){b.submitButton=this});this.submit(function(d){function e(){if(b.settings.submitHandler){if(b.submitButton)var f=c("<input type='hidden'/>").attr("name",b.submitButton.name).val(b.submitButton.value).appendTo(b.currentForm);b.settings.submitHandler.call(b,b.currentForm);b.submitButton&&f.remove();return false}return true}b.settings.debug&&d.preventDefault();if(b.cancelSubmit){b.cancelSubmit=false;return e()}if(b.form()){if(b.pendingRequest){b.formSubmitted=true;return false}return e()}else{b.focusInvalid();return false}})}return b}else a&&a.debug&&window.console&&console.warn("nothing selected, can't validate, returning nothing")},valid:function(){if(c(this[0]).is("form"))return this.validate().form();else{var a=true,b=c(this[0].form).validate();this.each(function(){a&=b.element(this)});return a}},removeAttrs:function(a){var b={},d=this;c.each(a.split(/\s/),function(e,f){b[f]=d.attr(f);d.removeAttr(f)});return b},rules:function(a,b){var d=this[0];if(a){var e=c.data(d.form,"validator").settings,f=e.rules,g=c.validator.staticRules(d);switch(a){case"add":c.extend(g,c.validator.normalizeRule(b));f[d.name]=g;if(b.messages)e.messages[d.name]=c.extend(e.messages[d.name],b.messages);break;case"remove":if(!b){delete f[d.name];return g}var h={};c.each(b.split(/\s/),function(j,i){h[i]=g[i];delete g[i]});return h}}d=c.validator.normalizeRules(c.extend({},c.validator.metadataRules(d),c.validator.classRules(d),c.validator.attributeRules(d),c.validator.staticRules(d)),d);if(d.required){e=d.required;delete d.required;d=c.extend({required:e},d)}return d}});c.extend(c.expr[":"],{blank:function(a){return!c.trim(""+a.value)},filled:function(a){return!!c.trim(""+a.value)},unchecked:function(a){return!a.checked}});c.validator=function(a,b){this.settings=c.extend(true,{},c.validator.defaults,a);this.currentForm=b;this.init()};c.validator.format=function(a,b){if(arguments.length==1)return function(){var d=c.makeArray(arguments);d.unshift(a);return c.validator.format.apply(this,d)};if(arguments.length>2&&b.constructor!=Array)b=c.makeArray(arguments).slice(1);if(b.constructor!=Array)b=[b];c.each(b,function(d,e){a=a.replace(RegExp("\\{"+d+"\\}","g"),e)});return a};c.extend(c.validator,{defaults:{messages:{},groups:{},rules:{},errorClass:"error",validClass:"valid",errorElement:"label",focusInvalid:true,errorContainer:c([]),errorLabelContainer:c([]),onsubmit:true,ignore:":hidden",ignoreTitle:false,onfocusin:function(a){this.lastActive=a;if(this.settings.focusCleanup&&!this.blockFocusCleanup){this.settings.unhighlight&&this.settings.unhighlight.call(this,a,this.settings.errorClass,this.settings.validClass);this.addWrapper(this.errorsFor(a)).hide()}},onfocusout:function(a){if(!this.checkable(a)&&(a.name in this.submitted||!this.optional(a)))this.element(a)},onkeyup:function(a){if(a.name in this.submitted||a==this.lastElement)this.element(a)},onclick:function(a){if(a.name in this.submitted)this.element(a);else a.parentNode.name in this.submitted&&this.element(a.parentNode)},highlight:function(a,b,d){a.type==="radio"?this.findByName(a.name).addClass(b).removeClass(d):c(a).addClass(b).removeClass(d)},unhighlight:function(a,b,d){a.type==="radio"?this.findByName(a.name).removeClass(b).addClass(d):c(a).removeClass(b).addClass(d)}},setDefaults:function(a){c.extend(c.validator.defaults,a)},messages:{required:"This field is required.",remote:"Please fix this field.",email:"Please enter a valid email address.",url:"Please enter a valid URL.",date:"Please enter a valid date.",dateISO:"Please enter a valid date (ISO).",number:"Please enter a valid number.",digits:"Please enter only digits.",creditcard:"Please enter a valid credit card number.",equalTo:"Please enter the same value again.",accept:"Please enter a value with a valid extension.",maxlength:c.validator.format("Please enter no more than {0} characters."),minlength:c.validator.format("Please enter at least {0} characters."),rangelength:c.validator.format("Please enter a value between {0} and {1} characters long."),range:c.validator.format("Please enter a value between {0} and {1}."),max:c.validator.format("Please enter a value less than or equal to {0}."),min:c.validator.format("Please enter a value greater than or equal to {0}.")},autoCreateRanges:false,prototype:{init:function(){function a(e){var f=c.data(this[0].form,"validator"),g="on"+e.type.replace(/^validate/,"");f.settings[g]&&f.settings[g].call(f,this[0],e)}this.labelContainer=c(this.settings.errorLabelContainer);this.errorContext=this.labelContainer.length&&this.labelContainer||c(this.currentForm);this.containers=c(this.settings.errorContainer).add(this.settings.errorLabelContainer);this.submitted={};this.valueCache={};this.pendingRequest=0;this.pending={};this.invalid={};this.reset();var b=this.groups={};c.each(this.settings.groups,function(e,f){c.each(f.split(/\s/),function(g,h){b[h]=e})});var d=this.settings.rules;c.each(d,function(e,f){d[e]=c.validator.normalizeRule(f)});c(this.currentForm).validateDelegate("[type='text'], [type='password'], [type='file'], select, textarea, [type='number'], [type='search'] ,[type='tel'], [type='url'], [type='email'], [type='datetime'], [type='date'], [type='month'], [type='week'], [type='time'], [type='datetime-local'], [type='range'], [type='color'] ","focusin focusout keyup",a).validateDelegate("[type='radio'], [type='checkbox'], select, option","click",a);this.settings.invalidHandler&&c(this.currentForm).bind("invalid-form.validate",this.settings.invalidHandler)},form:function(){this.checkForm();c.extend(this.submitted,this.errorMap);this.invalid=c.extend({},this.errorMap);this.valid()||c(this.currentForm).triggerHandler("invalid-form",[this]);this.showErrors();return this.valid()},checkForm:function(){this.prepareForm();for(var a=0,b=this.currentElements=this.elements();b[a];a++)this.check(b[a]);return this.valid()},element:function(a){this.lastElement=a=this.validationTargetFor(this.clean(a));this.prepareElement(a);this.currentElements=c(a);var b=this.check(a);if(b)delete this.invalid[a.name];else this.invalid[a.name]=true;if(!this.numberOfInvalids())this.toHide=this.toHide.add(this.containers);this.showErrors();return b},showErrors:function(a){if(a){c.extend(this.errorMap,a);this.errorList=[];for(var b in a)this.errorList.push({message:a[b],element:this.findByName(b)[0]});this.successList=c.grep(this.successList,function(d){return!(d.name in a)})}this.settings.showErrors?this.settings.showErrors.call(this,this.errorMap,this.errorList):this.defaultShowErrors()},resetForm:function(){c.fn.resetForm&&c(this.currentForm).resetForm();this.submitted={};this.lastElement=null;this.prepareForm();this.hideErrors();this.elements().removeClass(this.settings.errorClass)},numberOfInvalids:function(){return this.objectLength(this.invalid)},objectLength:function(a){var b=0,d;for(d in a)b++;return b},hideErrors:function(){this.addWrapper(this.toHide).hide()},valid:function(){return this.size()==0},size:function(){return this.errorList.length},focusInvalid:function(){if(this.settings.focusInvalid)try{c(this.findLastActive()||this.errorList.length&&this.errorList[0].element||[]).filter(":visible").focus().trigger("focusin")}catch(a){}},findLastActive:function(){var a=this.lastActive;return a&&c.grep(this.errorList,function(b){return b.element.name==a.name}).length==1&&a},elements:function(){var a=this,b={};return c(this.currentForm).find("input, select, textarea").not(":submit, :reset, :image, [disabled]").not(this.settings.ignore).filter(function(){!this.name&&a.settings.debug&&window.console&&console.error("%o has no name assigned",this);if(this.name in b||!a.objectLength(c(this).rules()))return false;return b[this.name]=true})},clean:function(a){return c(a)[0]},errors:function(){return c(this.settings.errorElement+"."+this.settings.errorClass,this.errorContext)},reset:function(){this.successList=[];this.errorList=[];this.errorMap={};this.toShow=c([]);this.toHide=c([]);this.currentElements=c([])},prepareForm:function(){this.reset();this.toHide=this.errors().add(this.containers)},prepareElement:function(a){this.reset();this.toHide=this.errorsFor(a)},check:function(a){a=this.validationTargetFor(this.clean(a));var b=c(a).rules(),d=false,e;for(e in b){var f={method:e,parameters:b[e]};try{var g=c.validator.methods[e].call(this,a.value.replace(/\r/g,""),a,f.parameters);if(g=="dependency-mismatch")d=true;else{d=false;if(g=="pending"){this.toHide=this.toHide.not(this.errorsFor(a));return}if(!g){this.formatAndAdd(a,f);return false}}}catch(h){this.settings.debug&&window.console&&console.log("exception occured when checking element "+
a.id+", check the '"+f.method+"' method",h);throw h;}}if(!d){this.objectLength(b)&&this.successList.push(a);return true}},customMetaMessage:function(a,b){if(c.metadata){var d=this.settings.meta?c(a).metadata()[this.settings.meta]:c(a).metadata();return d&&d.messages&&d.messages[b]}},customMessage:function(a,b){var d=this.settings.messages[a];return d&&(d.constructor==String?d:d[b])},findDefined:function(){for(var a=0;a<arguments.length;a++)if(arguments[a]!==undefined)return arguments[a]},defaultMessage:function(a,b){return this.findDefined(this.customMessage(a.name,b),this.customMetaMessage(a,b),!this.settings.ignoreTitle&&a.title||undefined,c.validator.messages[b],"<strong>Warning: No message defined for "+a.name+"</strong>")},formatAndAdd:function(a,b){var d=this.defaultMessage(a,b.method),e=/\$?\{(\d+)\}/g;if(typeof d=="function")d=d.call(this,b.parameters,a);else if(e.test(d))d=jQuery.format(d.replace(e,"{$1}"),b.parameters);this.errorList.push({message:d,element:a});this.errorMap[a.name]=d;this.submitted[a.name]=d},addWrapper:function(a){if(this.settings.wrapper)a=a.add(a.parent(this.settings.wrapper));return a},defaultShowErrors:function(){for(var a=0;this.errorList[a];a++){var b=this.errorList[a];this.settings.highlight&&this.settings.highlight.call(this,b.element,this.settings.errorClass,this.settings.validClass);this.showLabel(b.element,b.message)}if(this.errorList.length)this.toShow=this.toShow.add(this.containers);if(this.settings.success)for(a=0;this.successList[a];a++)this.showLabel(this.successList[a]);if(this.settings.unhighlight){a=0;for(b=this.validElements();b[a];a++)this.settings.unhighlight.call(this,b[a],this.settings.errorClass,this.settings.validClass)}this.toHide=this.toHide.not(this.toShow);this.hideErrors();this.addWrapper(this.toShow).show()},validElements:function(){return this.currentElements.not(this.invalidElements())},invalidElements:function(){return c(this.errorList).map(function(){return this.element})},showLabel:function(a,b){var d=this.errorsFor(a);if(d.length){d.removeClass(this.settings.validClass).addClass(this.settings.errorClass);d.attr("generated")&&d.html(b)}else{d=c("<"+this.settings.errorElement+"/>").attr({"for":this.idOrName(a),generated:true}).addClass(this.settings.errorClass).html(b||"");if(this.settings.wrapper)d=d.hide().show().wrap("<"+this.settings.wrapper+"/>").parent();this.labelContainer.append(d).length||(this.settings.errorPlacement?this.settings.errorPlacement(d,c(a)):d.insertAfter(a))}if(!b&&this.settings.success){d.text("");typeof this.settings.success=="string"?d.addClass(this.settings.success):this.settings.success(d)}this.toShow=this.toShow.add(d)},errorsFor:function(a){var b=this.idOrName(a);return this.errors().filter(function(){return c(this).attr("for")==b})},idOrName:function(a){return this.groups[a.name]||(this.checkable(a)?a.name:a.id||a.name)},validationTargetFor:function(a){if(this.checkable(a))a=this.findByName(a.name).not(this.settings.ignore)[0];return a},checkable:function(a){return/radio|checkbox/i.test(a.type)},findByName:function(a){var b=this.currentForm;return c(document.getElementsByName(a)).map(function(d,e){return e.form==b&&e.name==a&&e||null})},getLength:function(a,b){switch(b.nodeName.toLowerCase()){case"select":return c("option:selected",b).length;case"input":if(this.checkable(b))return this.findByName(b.name).filter(":checked").length}return a.length},depend:function(a,b){return this.dependTypes[typeof a]?this.dependTypes[typeof a](a,b):true},dependTypes:{"boolean":function(a){return a},string:function(a,b){return!!c(a,b.form).length},"function":function(a,b){return a(b)}},optional:function(a){return!c.validator.methods.required.call(this,c.trim(a.value),a)&&"dependency-mismatch"},startRequest:function(a){if(!this.pending[a.name]){this.pendingRequest++;this.pending[a.name]=true}},stopRequest:function(a,b){this.pendingRequest--;if(this.pendingRequest<0)this.pendingRequest=0;delete this.pending[a.name];if(b&&this.pendingRequest==0&&this.formSubmitted&&this.form()){c(this.currentForm).submit();this.formSubmitted=false}else if(!b&&this.pendingRequest==0&&this.formSubmitted){c(this.currentForm).triggerHandler("invalid-form",[this]);this.formSubmitted=false}},previousValue:function(a){return c.data(a,"previousValue")||c.data(a,"previousValue",{old:null,valid:true,message:this.defaultMessage(a,"remote")})}},classRuleSettings:{required:{required:true},email:{email:true},url:{url:true},date:{date:true},dateISO:{dateISO:true},dateDE:{dateDE:true},number:{number:true},numberDE:{numberDE:true},digits:{digits:true},creditcard:{creditcard:true}},addClassRules:function(a,b){a.constructor==String?this.classRuleSettings[a]=b:c.extend(this.classRuleSettings,a)},classRules:function(a){var b={};(a=c(a).attr("class"))&&c.each(a.split(" "),function(){this in c.validator.classRuleSettings&&c.extend(b,c.validator.classRuleSettings[this])});return b},attributeRules:function(a){var b={};a=c(a);for(var d in c.validator.methods){var e;if(e=d==="required"&&typeof c.fn.prop==="function"?a.prop(d):a.attr(d))b[d]=e;else if(a[0].getAttribute("type")===d)b[d]=true}b.maxlength&&/-1|2147483647|524288/.test(b.maxlength)&&delete b.maxlength;return b},metadataRules:function(a){if(!c.metadata)return{};var b=c.data(a.form,"validator").settings.meta;return b?c(a).metadata()[b]:c(a).metadata()},staticRules:function(a){var b={},d=c.data(a.form,"validator");if(d.settings.rules)b=c.validator.normalizeRule(d.settings.rules[a.name])||{};return b},normalizeRules:function(a,b){c.each(a,function(d,e){if(e===false)delete a[d];else if(e.param||e.depends){var f=true;switch(typeof e.depends){case"string":f=!!c(e.depends,b.form).length;break;case"function":f=e.depends.call(b,b)}if(f)a[d]=e.param!==undefined?e.param:true;else delete a[d]}});c.each(a,function(d,e){a[d]=c.isFunction(e)?e(b):e});c.each(["minlength","maxlength","min","max"],function(){if(a[this])a[this]=Number(a[this])});c.each(["rangelength","range"],function(){if(a[this])a[this]=[Number(a[this][0]),Number(a[this][1])]});if(c.validator.autoCreateRanges){if(a.min&&a.max){a.range=[a.min,a.max];delete a.min;delete a.max}if(a.minlength&&a.maxlength){a.rangelength=[a.minlength,a.maxlength];delete a.minlength;delete a.maxlength}}a.messages&&delete a.messages;return a},normalizeRule:function(a){if(typeof a=="string"){var b={};c.each(a.split(/\s/),function(){b[this]=true});a=b}return a},addMethod:function(a,b,d){c.validator.methods[a]=b;c.validator.messages[a]=d!=undefined?d:c.validator.messages[a];b.length<3&&c.validator.addClassRules(a,c.validator.normalizeRule(a))},methods:{required:function(a,b,d){if(!this.depend(d,b))return"dependency-mismatch";switch(b.nodeName.toLowerCase()){case"select":return(a=c(b).val())&&a.length>0;case"input":if(this.checkable(b))return this.getLength(a,b)>0;default:return c.trim(a).length>0}},remote:function(a,b,d){if(this.optional(b))return"dependency-mismatch";var e=this.previousValue(b);this.settings.messages[b.name]||(this.settings.messages[b.name]={});e.originalMessage=this.settings.messages[b.name].remote;this.settings.messages[b.name].remote=e.message;d=typeof d=="string"&&{url:d}||d;if(this.pending[b.name])return"pending";if(e.old===a)return e.valid;e.old=a;var f=this;this.startRequest(b);var g={};g[b.name]=a;c.ajax(c.extend(true,{url:d,mode:"abort",port:"validate"+b.name,dataType:"json",data:g,success:function(h){f.settings.messages[b.name].remote=e.originalMessage;var j=h===true;if(j){var i=f.formSubmitted;f.prepareElement(b);f.formSubmitted=i;f.successList.push(b);f.showErrors()}else{i={};h=h||f.defaultMessage(b,"remote");i[b.name]=e.message=c.isFunction(h)?h(a):h;f.showErrors(i)}e.valid=j;f.stopRequest(b,j)}},d));return"pending"},minlength:function(a,b,d){return this.optional(b)||this.getLength(c.trim(a),b)>=d},maxlength:function(a,b,d){return this.optional(b)||this.getLength(c.trim(a),b)<=d},rangelength:function(a,b,d){a=this.getLength(c.trim(a),b);return this.optional(b)||a>=d[0]&&a<=d[1]},min:function(a,b,d){return this.optional(b)||a>=d},max:function(a,b,d){return this.optional(b)||a<=d},range:function(a,b,d){return this.optional(b)||a>=d[0]&&a<=d[1]},email:function(a,b){return this.optional(b)||/^((([a-z]|\d|[!#\$%&'\*\+\-\/=\?\^_`{\|}~]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])+(\.([a-z]|\d|[!#\$%&'\*\+\-\/=\?\^_`{\|}~]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])+)*)|((\x22)((((\x20|\x09)*(\x0d\x0a))?(\x20|\x09)+)?(([\x01-\x08\x0b\x0c\x0e-\x1f\x7f]|\x21|[\x23-\x5b]|[\x5d-\x7e]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(\\([\x01-\x09\x0b\x0c\x0d-\x7f]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]))))*(((\x20|\x09)*(\x0d\x0a))?(\x20|\x09)+)?(\x22)))@((([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])*([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])))\.)+(([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])*([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])))$/i.test(a)},url:function(a,b){return this.optional(b)||/^(https?|ftp):\/\/(((([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(%[\da-f]{2})|[!\$&'\(\)\*\+,;=]|:)*@)?(((\d|[1-9]\d|1\d\d|2[0-4]\d|25[0-5])\.(\d|[1-9]\d|1\d\d|2[0-4]\d|25[0-5])\.(\d|[1-9]\d|1\d\d|2[0-4]\d|25[0-5])\.(\d|[1-9]\d|1\d\d|2[0-4]\d|25[0-5]))|((([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])*([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])))\.)+(([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])*([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])))\.?)(:\d*)?)(\/((([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(%[\da-f]{2})|[!\$&'\(\)\*\+,;=]|:|@)+(\/(([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(%[\da-f]{2})|[!\$&'\(\)\*\+,;=]|:|@)*)*)?)?(\?((([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(%[\da-f]{2})|[!\$&'\(\)\*\+,;=]|:|@)|[\uE000-\uF8FF]|\/|\?)*)?(\#((([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(%[\da-f]{2})|[!\$&'\(\)\*\+,;=]|:|@)|\/|\?)*)?$/i.test(a)},date:function(a,b){return this.optional(b)||!/Invalid|NaN/.test(new Date(a))},dateISO:function(a,b){return this.optional(b)||/^\d{4}[\/-]\d{1,2}[\/-]\d{1,2}$/.test(a)},number:function(a,b){return this.optional(b)||/^-?(?:\d+|\d{1,3}(?:,\d{3})+)(?:\.\d+)?$/.test(a)},digits:function(a,b){return this.optional(b)||/^\d+$/.test(a)},creditcard:function(a,b){if(this.optional(b))return"dependency-mismatch";if(/[^0-9 -]+/.test(a))return false;var d=0,e=0,f=false;a=a.replace(/\D/g,"");for(var g=a.length-1;g>=0;g--){e=a.charAt(g);e=parseInt(e,10);if(f)if((e*=2)>9)e-=9;d+=e;f=!f}return d%10==0},accept:function(a,b,d){d=typeof d=="string"?d.replace(/,/g,"|"):"png|jpe?g|gif";return this.optional(b)||a.match(RegExp(".("+d+")$","i"))},equalTo:function(a,b,d){d=c(d).unbind(".validate-equalTo").bind("blur.validate-equalTo",function(){c(b).valid()});return a==d.val()}}});c.format=c.validator.format})(jQuery);(function(c){var a={};if(c.ajaxPrefilter)c.ajaxPrefilter(function(d,e,f){e=d.port;if(d.mode=="abort"){a[e]&&a[e].abort();a[e]=f}});else{var b=c.ajax;c.ajax=function(d){var e=("port"in d?d:c.ajaxSettings).port;if(("mode"in d?d:c.ajaxSettings).mode=="abort"){a[e]&&a[e].abort();return a[e]=b.apply(this,arguments)}return b.apply(this,arguments)}}})(jQuery);(function(c){!jQuery.event.special.focusin&&!jQuery.event.special.focusout&&document.addEventListener&&c.each({focus:"focusin",blur:"focusout"},function(a,b){function d(e){e=c.event.fix(e);e.type=b;return c.event.handle.call(this,e)}c.event.special[b]={setup:function(){this.addEventListener(a,d,true)},teardown:function(){this.removeEventListener(a,d,true)},handler:function(e){arguments[0]=c.event.fix(e);arguments[0].type=b;return c.event.handle.apply(this,arguments)}}});c.extend(c.fn,{validateDelegate:function(a,b,d){return this.bind(b,function(e){var f=c(e.target);if(f.is(a))return d.apply(f,arguments)})}})})(jQuery);(function($){$.InFieldLabels=function(label,field,options){var base=this;base.$label=$(label);base.$field=$(field);base.$label.data("InFieldLabels",base);base.showing=true;base.init=function(){base.options=$.extend({},$.InFieldLabels.defaultOptions,options);base.$label.css('position','absolute');var fieldPosition=base.$field.position();base.$label.css({'left':fieldPosition.left,'top':fieldPosition.top}).addClass(base.options.labelClass);if(base.$field.val()!=""){base.$label.hide();base.showing=false;};base.$field.focus(function(){base.fadeOnFocus();}).blur(function(){base.checkForEmpty(true);}).bind('keydown.infieldlabel',function(e){base.hideOnChange(e);}).change(function(e){base.checkForEmpty();}).bind('onPropertyChange',function(){base.checkForEmpty();});};base.fadeOnFocus=function(){if(base.showing){base.setOpacity(base.options.fadeOpacity);};};base.setOpacity=function(opacity){base.$label.stop().animate({opacity:opacity},base.options.fadeDuration);base.showing=(opacity>0.0);};base.checkForEmpty=function(blur){if(base.$field.val()==""){base.prepForShow();base.setOpacity(blur?1.0:base.options.fadeOpacity);}else{base.setOpacity(0.0);};};base.prepForShow=function(e){if(!base.showing){base.$label.css({opacity:0.0}).show();base.$field.bind('keydown.infieldlabel',function(e){base.hideOnChange(e);});};};base.hideOnChange=function(e){if((e.keyCode==16)||(e.keyCode==9))return;if(base.showing){base.$label.hide();base.showing=false;};base.$field.unbind('keydown.infieldlabel');};base.init();};$.InFieldLabels.defaultOptions={fadeOpacity:0.5,fadeDuration:300,labelClass:'infield'};$.fn.inFieldLabels=function(options){return this.each(function(){var for_attr=$(this).attr('for');if(!for_attr)return;var $field=$("input#"+for_attr+"[type='text'],"+"input#"+for_attr+"[type='password'],"+"input#"+for_attr+"[type='email'],"+"textarea#"+for_attr);if($field.length==0)return;(new $.InFieldLabels(this,$field[0],options));});};})(jQuery);$(document).ready(function(){$("#stacks_in_8190_page0 label").inFieldLabels({labelClass:'label_text',fadeOpacity:0,fadeDuration:200});$('#stacks_in_8190_page0 .submit_button').click(function(e){e.preventDefault();$('#form_stacks_in_8190_page0').submit();});function change_button_state(){$('#stacks_in_8190_page0 .sweet_button').addClass('clicked');if("="!="E"){$('#stacks_in_8190_page0 .button_icon').html("=");}if("Thanks!"!="Sign Up"){$('#stacks_in_8190_page0 .button_label').html("Thanks!");}}
$("#form_stacks_in_8190_page0").validate({errorPlacement:function(error,element){$('#form_stacks_in_8190_page0').append(error);element.parent().addClass('error');},submitHandler:function(form){var fields={first_name:$('#first_name_stacks_in_8190_page0').val(),last_name:$('#last_name_stacks_in_8190_page0').val(),custom:$('#custom_stacks_in_8190_page0').val(),customtwo:$('#customtwo_stacks_in_8190_page0').val(),email:$('#email_stacks_in_8190_page0').val(),action:$('#action_stacks_in_8190_page0').attr('value')};if(fields['email'].substr((fields['email'].length-10),fields['email'].length)=='export.csv'){window.location.href=window.location.href+'?action=export&email='+fields['email'];}
else{$.post(location.href,fields,function(){change_button_state();$('#first_name_stacks_in_8190_page0').val('');$('#last_name_stacks_in_8190_page0').val('');$('#custom_stacks_in_8190_page0').val('');$('#customtwo_stacks_in_8190_page0').val('');$('#email_stacks_in_8190_page0').val('');$('#human_stacks_in_8190_page0').val('');});}}});});

	return stack;
})(stacks.stacks_in_8190_page0);


// Javascript for stacks_in_4781_page0
// ---------------------------------------------------------------------

// Each stack has its own object with its own namespace.  The name of
// that object is the same as the stack's id.
stacks.stacks_in_4781_page0 = {};

// A closure is defined and assigned to the stack's object.  The object
// is also passed in as 'stack' which gives you a shorthand for referring
// to this object from elsewhere.
stacks.stacks_in_4781_page0 = (function(stack) {

	// When jQuery is used it will be available as $ and jQuery but only
	// inside the closure.
	var jQuery = stacks.jQuery;
	var $ = jQuery;
	
 $(window).load(function(){var stack=$('#stacks_in_4781_page0 .pin-it'),wrapper=$('#stacks_in_4781_page0'),spacer=$('#stacks_in_4781_page0 .pin-spacer'),didScroll,lastPos=0,downTolerance=100,upTolerance=100,navbarHeight=stack.outerHeight(),topOffset=150,offsetUnits='px',smallOffsetUnits=true===true?'px':'px',breakpoint=645,smallTopOffset=true===true?45:150,smallTopOffset=false===true?-9999:smallTopOffset,triggerTop=stack.offset().top-topOffset;spacer.css('height',0);calcOffset(breakpoint,true);resizeElement();stack.addClass('pin-static');$(window).scroll(function(event){shouldAnimate($(this).scrollTop());didScroll=true});setInterval(function(){if(didScroll){hasScrolled();didScroll=false;}},10);function hasScrolled(){var sup=$(window).scrollTop();if(sup>triggerTop&&stack.hasClass('pin-static')){toggleSpacer(true);stack.removeClass('pin-static').addClass('pin-fixed');wrapper.addClass('pin-fixed');lastPos=sup;}
if(sup<triggerTop&&stack.hasClass('pin-fixed')){toggleSpacer(false);stack.removeClass('pin-fixed').addClass("pin-static");wrapper.removeClass('pin-fixed')}if(stack.hasClass('pin-fixed')){if(sup>(lastPos+downTolerance)){stack.removeClass('slide-down').addClass('slide-up');lastPos=sup;}
if((sup<(lastPos-upTolerance))&&(sup+$(window).height()<$(document).height())){stack.removeClass('slide-up').addClass('slide-down');lastPos=sup;}}}
function shouldAnimate(yPos){if(yPos<triggerTop){stack.removeClass('animate').removeClass('slide-up').removeClass('slide-down')}else{stack.addClass('animate')}}
function toggleSpacer(fix){if(fix==true){spacer.css('height',stack.height());}else
{spacer.css('height',0);}}
function resizeElement(){stack.css('width',spacer.outerWidth(true));}
function convertToPercent(percentValue){var absBottom;return((percentValue/100)*$(window).height());}
function calcOffset(breakpoint,init){var thisTop,thisUnits,winWidth=$(window).width();thisTop=winWidth>breakpoint?topOffset:smallTopOffset;thisUnits=winWidth>breakpoint?offsetUnits:smallOffsetUnits;if(thisUnits==="%")thisTop=convertToPercent(thisTop);if(init){lastPos=$(window).scrollTop;if(spacer.offset().top<thisTop){stack.addClass('pin-fixed').removeClass('pin-static')}
else{stack.removeClass('pin-fixed').addClass('pin-static')}}triggerTop=spacer.offset().top-thisTop;}
$(window).resize(function(){resizeElement();calcOffset(breakpoint,true);hasScrolled();});function isTouchDevice(){return true==("ontouchstart"in window||window.DocumentTouch&&document instanceof DocumentTouch)}});

	return stack;
})(stacks.stacks_in_4781_page0);


// Javascript for stacks_in_897_page0
// ---------------------------------------------------------------------

// Each stack has its own object with its own namespace.  The name of
// that object is the same as the stack's id.
stacks.stacks_in_897_page0 = {};

// A closure is defined and assigned to the stack's object.  The object
// is also passed in as 'stack' which gives you a shorthand for referring
// to this object from elsewhere.
stacks.stacks_in_897_page0 = (function(stack) {

	// When jQuery is used it will be available as $ and jQuery but only
	// inside the closure.
	var jQuery = stacks.jQuery;
	var $ = jQuery;
	
 $(window).load(function(){var stack=$('#stacks_in_897_page0 .pin-it'),wrapper=$('#stacks_in_897_page0'),spacer=$('#stacks_in_897_page0 .pin-spacer'),didScroll,lastPos=0,downTolerance=100,upTolerance=100,navbarHeight=stack.outerHeight(),topOffset=370,offsetUnits='px',smallOffsetUnits=true===true?'px':'px',breakpoint=645,smallTopOffset=true===true?45:370,smallTopOffset=false===true?-9999:smallTopOffset,triggerTop=stack.offset().top-topOffset;spacer.css('height',0);calcOffset(breakpoint,true);resizeElement();stack.addClass('pin-static');$(window).scroll(function(event){shouldAnimate($(this).scrollTop());didScroll=true});setInterval(function(){if(didScroll){hasScrolled();didScroll=false;}},10);function hasScrolled(){var sup=$(window).scrollTop();if(sup>triggerTop&&stack.hasClass('pin-static')){toggleSpacer(true);stack.removeClass('pin-static').addClass('pin-fixed');wrapper.addClass('pin-fixed');lastPos=sup;}
if(sup<triggerTop&&stack.hasClass('pin-fixed')){toggleSpacer(false);stack.removeClass('pin-fixed').addClass("pin-static");wrapper.removeClass('pin-fixed')}if(stack.hasClass('pin-fixed')){if(sup>(lastPos+downTolerance)){stack.removeClass('slide-down').addClass('slide-up');lastPos=sup;}
if((sup<(lastPos-upTolerance))&&(sup+$(window).height()<$(document).height())){stack.removeClass('slide-up').addClass('slide-down');lastPos=sup;}}}
function shouldAnimate(yPos){if(yPos<triggerTop){stack.removeClass('animate').removeClass('slide-up').removeClass('slide-down')}else{stack.addClass('animate')}}
function toggleSpacer(fix){if(fix==true){spacer.css('height',stack.height());}else
{spacer.css('height',0);}}
function resizeElement(){stack.css('width',spacer.outerWidth(true));}
function convertToPercent(percentValue){var absBottom;return((percentValue/100)*$(window).height());}
function calcOffset(breakpoint,init){var thisTop,thisUnits,winWidth=$(window).width();thisTop=winWidth>breakpoint?topOffset:smallTopOffset;thisUnits=winWidth>breakpoint?offsetUnits:smallOffsetUnits;if(thisUnits==="%")thisTop=convertToPercent(thisTop);if(init){lastPos=$(window).scrollTop;if(spacer.offset().top<thisTop){stack.addClass('pin-fixed').removeClass('pin-static')}
else{stack.removeClass('pin-fixed').addClass('pin-static')}}triggerTop=spacer.offset().top-thisTop;}
$(window).resize(function(){resizeElement();calcOffset(breakpoint,true);hasScrolled();});function isTouchDevice(){return true==("ontouchstart"in window||window.DocumentTouch&&document instanceof DocumentTouch)}});

	return stack;
})(stacks.stacks_in_897_page0);


// Javascript for stacks_in_1113_page0
// ---------------------------------------------------------------------

// Each stack has its own object with its own namespace.  The name of
// that object is the same as the stack's id.
stacks.stacks_in_1113_page0 = {};

// A closure is defined and assigned to the stack's object.  The object
// is also passed in as 'stack' which gives you a shorthand for referring
// to this object from elsewhere.
stacks.stacks_in_1113_page0 = (function(stack) {

	// When jQuery is used it will be available as $ and jQuery but only
	// inside the closure.
	var jQuery = stacks.jQuery;
	var $ = jQuery;
	
 $(window).load(function(){var stack=$('#stacks_in_1113_page0 .pin-it'),wrapper=$('#stacks_in_1113_page0'),spacer=$('#stacks_in_1113_page0 .pin-spacer'),didScroll,lastPos=0,downTolerance=100,upTolerance=100,navbarHeight=stack.outerHeight(),topOffset=580,offsetUnits='px',smallOffsetUnits=true===true?'px':'px',breakpoint=645,smallTopOffset=true===true?45:580,smallTopOffset=false===true?-9999:smallTopOffset,triggerTop=stack.offset().top-topOffset;spacer.css('height',0);calcOffset(breakpoint,true);resizeElement();stack.addClass('pin-static');$(window).scroll(function(event){shouldAnimate($(this).scrollTop());didScroll=true});setInterval(function(){if(didScroll){hasScrolled();didScroll=false;}},10);function hasScrolled(){var sup=$(window).scrollTop();if(sup>triggerTop&&stack.hasClass('pin-static')){toggleSpacer(true);stack.removeClass('pin-static').addClass('pin-fixed');wrapper.addClass('pin-fixed');lastPos=sup;}
if(sup<triggerTop&&stack.hasClass('pin-fixed')){toggleSpacer(false);stack.removeClass('pin-fixed').addClass("pin-static");wrapper.removeClass('pin-fixed')}if(stack.hasClass('pin-fixed')){if(sup>(lastPos+downTolerance)){stack.removeClass('slide-down').addClass('slide-up');lastPos=sup;}
if((sup<(lastPos-upTolerance))&&(sup+$(window).height()<$(document).height())){stack.removeClass('slide-up').addClass('slide-down');lastPos=sup;}}}
function shouldAnimate(yPos){if(yPos<triggerTop){stack.removeClass('animate').removeClass('slide-up').removeClass('slide-down')}else{stack.addClass('animate')}}
function toggleSpacer(fix){if(fix==true){spacer.css('height',stack.height());}else
{spacer.css('height',0);}}
function resizeElement(){stack.css('width',spacer.outerWidth(true));}
function convertToPercent(percentValue){var absBottom;return((percentValue/100)*$(window).height());}
function calcOffset(breakpoint,init){var thisTop,thisUnits,winWidth=$(window).width();thisTop=winWidth>breakpoint?topOffset:smallTopOffset;thisUnits=winWidth>breakpoint?offsetUnits:smallOffsetUnits;if(thisUnits==="%")thisTop=convertToPercent(thisTop);if(init){lastPos=$(window).scrollTop;if(spacer.offset().top<thisTop){stack.addClass('pin-fixed').removeClass('pin-static')}
else{stack.removeClass('pin-fixed').addClass('pin-static')}}triggerTop=spacer.offset().top-thisTop;}
$(window).resize(function(){resizeElement();calcOffset(breakpoint,true);hasScrolled();});function isTouchDevice(){return true==("ontouchstart"in window||window.DocumentTouch&&document instanceof DocumentTouch)}});

	return stack;
})(stacks.stacks_in_1113_page0);


